Totem building

This commit is contained in:
Gerardo J. Puerta 2022-10-24 18:40:01 +02:00
parent ac268a82ec
commit 2a9e3df414
57 changed files with 1608 additions and 1278 deletions

View File

@ -0,0 +1,3 @@
DIST keepassxc-2.7.0-src.tar.xz 8846780 BLAKE2B 74c4e9c6d06239950f1b8a64c5bce894799fdd73a562ee22d1189c60dedfff3555132c0619488e0682e94de8759e096627520b96d664f472645e4b6375d68ff9 SHA512 0fc436ae5fb8fb82765a0c2df20c9567b1baf6aceff1e08c843a151ddcc0920d4cb2d416aebd89bdd8f1b53efb0a4ad0f579955c6943ee66c20b0becbb978e12
EBUILD keepassxc-2.7.0.ebuild 1666 BLAKE2B 2706359df1e8be06bbe6dcc0e6bcd0956ab68e4d7c4b2b2a4266e10a927a0ff106c2c8137c5ec01a2cc584c8d6b668b87cd0d31922df6f767c1d0661e896fb87 SHA512 e06ef0a47c29675bcd535a19d92b703b2be536b736dcdb704babe1559df7351365ab516cecd434467b41a9db2b4b754e89326aabac88f092d2bb90ed502ac2bd
MISC autogen.py 638 BLAKE2B 4c91e6b608134b7905d3bf0c8ff05a36acaa259ace804edfff3279741c0657611952f5f6a2f3a70426a1892dfedce14b046210aa8067fc9ff7dc327f32cc8083 SHA512 6ac5b9a7305321eda8a0cbef96e46e98ff08e8a68814f8f8d5172d64a2c5f4077eb618479a586e477a135e496b50e1a163b7c02738525216fb71f31a06631d3a

View File

@ -0,0 +1,22 @@
#!/usr/bin/env python3
import json
async def generate(hub, **pkginfo):
json_data = await hub.pkgtools.fetch.get_page("https://api.github.com/repos/keepassxreboot/keepassxc/releases")
json_dict = json.loads(json_data)
for r in json_dict:
if "prerelease" in r and r["prerelease"] is True:
continue
release = r
break
version = release["tag_name"]
url = f"https://github.com/keepassxreboot/keepassxc/releases/download/{version}/keepassxc-{version}-src.tar.xz"
ebuild = hub.pkgtools.ebuild.BreezyBuild(
**pkginfo, version=version, artifacts=[hub.pkgtools.ebuild.Artifact(url=url)]
)
ebuild.push()
# vim: ts=4 sw=4 noet

View File

@ -0,0 +1,75 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit cmake xdg
DESCRIPTION="KeePassXC - KeePass Cross-platform Community Edition"
HOMEPAGE="https://keepassxc.org"
SRC_URI="https://github.com/keepassxreboot/keepassxc/releases/download/2.7.0/keepassxc-2.7.0-src.tar.xz"
KEYWORDS="*"
LICENSE="LGPL-2.1 GPL-2 GPL-3"
SLOT="0"
IUSE="autotype browser debug keeshare +network test yubikey"
RDEPEND="
app-crypt/argon2:=
dev-libs/libgcrypt:=
>=dev-libs/libsodium-1.0.12:=
dev-qt/qtconcurrent:5
dev-qt/qtcore:5
dev-qt/qtdbus:5
dev-qt/qtgui:5
dev-qt/qtnetwork:5
dev-qt/qtsvg:5
dev-qt/qtwidgets:5
media-gfx/qrencode:=
sys-libs/readline:0=
sys-libs/zlib:=
autotype? (
dev-qt/qtx11extras:5
x11-libs/libX11
x11-libs/libXi
x11-libs/libXtst
)
keeshare? ( dev-libs/quazip )
yubikey? ( sys-auth/ykpers )
"
DEPEND="
${RDEPEND}
>=dev-libs/botan-2.11.0
dev-qt/linguist-tools:5
dev-qt/qttest:5
"
# Not a runtime dependency but still needed (see bug #667092)
PDEPEND="x11-misc/xsel"
RESTRICT="!test? ( test )"
src_prepare() {
use test || sed -e "/^find_package(Qt5Test/d" -i CMakeLists.txt || die
cmake_src_prepare
}
src_configure() {
local mycmakeargs=(
-DWITH_GUI_TESTS=OFF
-DWITH_TESTS="$(usex test)"
-DWITH_XC_AUTOTYPE="$(usex autotype)"
-DWITH_XC_DOCS=OFF
-DWITH_XC_BROWSER="$(usex browser)"
-DWITH_XC_FDOSECRETS=ON
-DWITH_XC_KEESHARE="$(usex keeshare)"
-DWITH_XC_NETWORKING="$(usex network)"
-DWITH_XC_SSHAGENT=ON
-DWITH_XC_UPDATECHECK=OFF
-DWITH_XC_YUBIKEY="$(usex yubikey)"
)
if [[ "${PV}" == *_beta* ]] ; then
mycmakeargs+=( -DOVERRIDE_VERSION="${PV/_/-}" )
fi
cmake_src_configure
}

View File

@ -0,0 +1,74 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit cmake xdg
DESCRIPTION="KeePassXC - KeePass Cross-platform Community Edition"
HOMEPAGE="https://keepassxc.org"
SRC_URI="{{artifacts[0].src_uri}}"
KEYWORDS="*"
LICENSE="LGPL-2.1 GPL-2 GPL-3"
SLOT="0"
IUSE="autotype browser debug keeshare +network test yubikey"
RDEPEND="
app-crypt/argon2:=
dev-libs/libgcrypt:=
>=dev-libs/libsodium-1.0.12:=
dev-qt/qtconcurrent:5
dev-qt/qtcore:5
dev-qt/qtdbus:5
dev-qt/qtgui:5
dev-qt/qtnetwork:5
dev-qt/qtsvg:5
dev-qt/qtwidgets:5
media-gfx/qrencode:=
sys-libs/readline:0=
sys-libs/zlib:=
autotype? (
dev-qt/qtx11extras:5
x11-libs/libX11
x11-libs/libXi
x11-libs/libXtst
)
keeshare? ( dev-libs/quazip )
yubikey? ( sys-auth/ykpers )
"
DEPEND="
${RDEPEND}
dev-qt/linguist-tools:5
dev-qt/qttest:5
"
# Not a runtime dependency but still needed (see bug #667092)
PDEPEND="x11-misc/xsel"
RESTRICT="!test? ( test )"
src_prepare() {
use test || sed -e "/^find_package(Qt5Test/d" -i CMakeLists.txt || die
cmake_src_prepare
}
src_configure() {
local mycmakeargs=(
-DWITH_GUI_TESTS=OFF
-DWITH_TESTS="$(usex test)"
-DWITH_XC_AUTOTYPE="$(usex autotype)"
-DWITH_XC_DOCS=OFF
-DWITH_XC_BROWSER="$(usex browser)"
-DWITH_XC_FDOSECRETS=ON
-DWITH_XC_KEESHARE="$(usex keeshare)"
-DWITH_XC_NETWORKING="$(usex network)"
-DWITH_XC_SSHAGENT=ON
-DWITH_XC_UPDATECHECK=OFF
-DWITH_XC_YUBIKEY="$(usex yubikey)"
)
if [[ "${PV}" == *_beta* ]] ; then
mycmakeargs+=( -DOVERRIDE_VERSION="${PV/_/-}" )
fi
cmake_src_configure
}

View File

@ -0,0 +1,3 @@
DIST slirp4netns-1.1.12.tar.gz 60223 BLAKE2B 2bd4ed6cded075a151fec0e6b2222b0a72f2027d702cd3e2760ab8c811e375ea5becfeb32ccf71f4b41a257b9e7f32852d6d805912ad950da3364e240d191674 SHA512 82584e40079c2a7730c098f2a2406dc042498f7d50cc9ad8404acf3bb3a50c6969737be531d64b2eca6ba86a968bb5bfea9ad10eba4979cc40a5da5c9745ebdb
EBUILD slirp4netns-1.1.12.ebuild 699 BLAKE2B cd64a2c4ccde108b925c8b3c302ab69d4c2b034ec6a271ca96b0f6c4faaf5bd91f6c737d472c8eca592656e48e2694bfe6d7687cf5ea37a091e306b69b822757 SHA512 b8ab41f281fb6992a446d44fd0fd71e77d11b52cce328f91eb4b0bed838b5be3383ab17e9f463fe92021504f0cfbe802219c1d504d8b3e04579302a61cf586b9
MISC metadata.xml 601 BLAKE2B eac6bf1b21371c913f648e944a1ba75314e772c1f0f5fdeda9d4c49cf279a15c19c9f6347ec1a3df236a6147c3d01f4084e161a81c2ee1e4db55cc9f8508d26f SHA512 d81b6889e71bf3fdc539f6c5ca057a8900f13009eafb711c4d83bb0cb349cf49f9253c0b8207a4c1f4c3b084bc9c9b0b91e75109843662fb72d25a2485cbf7dd

View File

@ -0,0 +1,19 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>zmedico@gentoo.org</email>
<name>Zac Medico</name>
</maintainer>
<maintainer type="person">
<email>g.braeunlich@disroot.org</email>
<name>Gerhard Bräunlich</name>
</maintainer>
<longdescription lang="en">
slirp4netns provides user-mode networking ("slirp")
for unprivileged network namespaces.
</longdescription>
<upstream>
<remote-id type="github">rootless-containers/slirp4netns</remote-id>
</upstream>
</pkgmetadata>

View File

@ -0,0 +1,32 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit autotools
DESCRIPTION="User-mode networking for unprivileged network namespaces"
HOMEPAGE="https://github.com/rootless-containers/slirp4netns"
SRC_URI="https://github.com/rootless-containers/slirp4netns/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64"
RDEPEND="dev-libs/glib:2=
dev-libs/libpcre:="
DEPEND="${RDEPEND}"
RESTRICT="test"
src_prepare() {
eautoreconf
default
}
pkg_postinst() {
if [[ -z ${REPLACING_VERSIONS} ]]; then
elog "You need to have the tun kernel module loaded in order to have"
elog "slirp4netns working"
fi
}

View File

@ -1,6 +0,0 @@
DIST python-exec-2.4.6.tar.bz2 87634 BLAKE2B 7b6de8ad0e0603fafd3284e6e3c5247ad83f145ab4db6728914318ae8e6f5aaa3c0247f4e01238fca11519ef72fb1b11436aea7e2b8c988b8717b3f6a2a43c37 SHA512 e05eaf01b83de196a10933636ab6b1a5489a421592df49b8b58eabd0e732de970f902744cd3a06b5ab530a6d69fe6dfa8f270fbb09b9fe3df4ae04d516828050
DIST python-exec-2.4.8.tar.bz2 82671 BLAKE2B ac85f3dd6da3d1c535ad56a25edbbcb1d0e75b91e3567b80f27fd01d32a199a713909a8552dffaacbe96c43bca491f31c3f0c7f1a618fb9144814365686715cf SHA512 d6dabab217dc2f1817e2f4d159102a9467f51b26b91f4ae7fb7e4930d30334f74bd8a5f37cc60d58c6e1e61e89a3b4d2e1bd17413493ba86f38fa71250cf5ac1
EBUILD python-exec-2.4.6.ebuild 4411 BLAKE2B c8be02c4a12766ef1cff89ef03ea7c0105377f0772d783c9cfb8b3f0e3fa6454aa09bad6084e8762c0066793f8f9ab2c0795a6568dc70d905676088fa6a6545c SHA512 90e58ffe88ca3275aa356e336cb0230c4f190a989f8b1d23a278bba6905ebf3b421bb4c84e87c7e04ca333a2088f106c5548e1f0c29f8d92898b40a8a3e87694
EBUILD python-exec-2.4.8.ebuild 4423 BLAKE2B 17181a365abca7d6a831be18d9d7b87a3269095c4e8f649650afc40f339a532839574e74b65960989272f245a3fa09d0043e9b6689d90da5ccceeb9cb5675110 SHA512 0600820d5aea21f24430926c20aba5ccebf77f03475a91534cb86a85477b180caf7a0169c749984a8d4d28f566fcbe9e5a7e27d1969b84ba9a6eb91ba51c2b20
EBUILD python-exec-9999.ebuild 4213 BLAKE2B 317090a43c42f89db2068ba600c399497a4a8f30f27e810b70b3d726763ed651206f0c4f08db0e2e00907a715ee836116e2526c913b2bf8e9d5884bc4f3f9083 SHA512 164d6eb172aedff8c471701c567708b36a34542c57d2ddc1ab29f666d9dab8bffd90776d2c8ebc2cfdfefa78566dfea85691770f5900ee90756108f9b9871f3e
MISC metadata.xml 589 BLAKE2B 7f9fa9750915db8b546b52a560a7fd8d9a63c4f310e423ebdc0508fe9b14363001b30f3c3db26f6d05eec8a44176d62a9335153dff2d55a41a31d3b428cc9ca6 SHA512 2ac0223af0a2cf95d2b18ef415eadb325af0094e4ec361a414b0d68b203dc1c937d3d680af96bdad1e8a48cb5786683bdbbd451f47a0f3a777c075e1690ccf7a

View File

@ -1,17 +0,0 @@
<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>python@gentoo.org</email>
<name>Python</name>
</maintainer>
<upstream>
<maintainer status="active">
<email>mgorny@gentoo.org</email>
<name>Michał Górny</name>
</maintainer>
<bugs-to>https://github.com/mgorny/python-exec/issues/</bugs-to>
<remote-id type="bitbucket">mgorny/python-exec</remote-id>
<remote-id type="github">mgorny/python-exec</remote-id>
</upstream>
</pkgmetadata>

View File

@ -1,133 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
# Kids, don't do this at home!
inherit python-utils-r1
PYTHON_COMPAT=( python2_7 python3_7 python3_10 )
# Inherited purely to have PYTHON_TARGET flags which will satisfy USE
# dependencies and trigger necessary rebuilds.
inherit python-r1
DESCRIPTION="Python script wrapper"
HOMEPAGE="https://github.com/mgorny/python-exec/"
SRC_URI="https://github.com/mgorny/python-exec/releases/download/v${PV}/${P}.tar.bz2"
LICENSE="BSD-2"
SLOT="2"
KEYWORDS="alpha amd64 arm arm64 hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE=""
# eselect-python because of /usr/bin/python* collisions and new config
# python versions because of missing $scriptdir/python* symlinks
RDEPEND="
!<app-eselect/eselect-python-20160206
!<dev-lang/python-2.7.10-r4:2.7
!<dev-lang/python-3.3.5-r4:3.3
!<dev-lang/python-3.4.3-r4:3.4
!<dev-lang/python-3.5.0-r3:3.5"
src_configure() {
local pyimpls=() i EPYTHON
for i in "${PYTHON_COMPAT[@]}"; do
python_export "${i}" EPYTHON
pyimpls+=( "${EPYTHON}" )
done
local myconf=(
--with-fallback-path="${EPREFIX}/usr/local/sbin:${EPREFIX}/usr/local/bin:${EPREFIX}/usr/sbin:${EPREFIX}/usr/bin:${EPREFIX}/sbin:${EPREFIX}/bin"
--with-python-impls="${pyimpls[*]}"
)
econf "${myconf[@]}"
}
src_install() {
default
# Prepare and own the template
insinto /etc/python-exec
newins - python-exec.conf \
< <(sed -n -e '/^#/p' config/python-exec.conf.example)
local f
for f in python{,2,3}; do
# symlink the C wrapper for python to avoid shebang recursion
# bug #568974
dosym python-exec2c /usr/bin/"${f}"
done
for f in python{,2,3}-config 2to3 idle pydoc pyvenv; do
# those are python scripts (except for new python-configs)
# so symlink them via the python wrapper
dosym ../lib/python-exec/python-exec2 /usr/bin/"${f}"
done
}
pkg_preinst() {
if [[ -e ${EROOT}etc/python-exec/python-exec.conf ]]; then
# preserve current configuration
cp "${EROOT}"etc/python-exec/python-exec.conf \
"${ED}"etc/python-exec/python-exec.conf || die
else
# preserve previous Python version preference
local py old_pythons=()
local config_base=${EROOT}etc/env.d/python
# start with the 'global' preference (2 vs 3)
if [[ -f ${config_base}/config ]]; then
old_pythons+=( "$(<${config_base}/config)" )
fi
# then try specific py3 selection
for py in 3; do
local target=
if [[ -f ${config_base}/python${py} ]]; then
# try the newer config files
target=$(<${config_base}/python${py})
elif [[ -L ${EROOT}/usr/bin/python${py} ]]; then
# check the older symlink format
target=$(readlink "${EROOT}/usr/bin/python${py}")
# check if it's actually old eselect symlink
[[ ${target} == python?.? ]] || target=
fi
# add the extra target if found and != global
if [[ ${target} && ${old_pythons[0]} != ${target} ]]; then
old_pythons+=( "${target}" )
fi
done
if [[ ${old_pythons[@]} ]]; then
elog "You seem to have just upgraded into the new version of python-exec"
elog "that uses python-exec.conf for configuration. The ebuild has attempted"
elog "to convert your previous configuration to the new format, resulting"
elog "in the following preferences (most preferred version first):"
elog
for py in "${old_pythons[@]}"; do
elog " ${py}"
done
elog
elog "Those interpreters will be preferred when running Python scripts or"
elog "calling wrapped Python executables (python, python2, pydoc...)."
elog "If none of the preferred interpreters are supported, python-exec will"
elog "fall back to the newest supported Python version."
elog
elog "Please note that due to the ambiguous character of the old settings,"
elog "you may want to modify the preference list yourself. In order to do so,"
elog "open the following file in your favorite editor:"
elog
elog " ${EROOT}etc/python-exec/python-exec.conf"
elog
elog "For more information on the new configuration format, please read"
elog "the comment on top of the installed configuration file."
local IFS=$'\n'
echo "${old_pythons[*]}" \
>> "${ED}"etc/python-exec/python-exec.conf || die
fi
fi
}

View File

@ -1,134 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
# Kids, don't do this at home!
inherit python-utils-r1
PYTHON_COMPAT=( python2_7 python3_7 python3_10 )
# Inherited purely to have PYTHON_TARGET flags which will satisfy USE
# dependencies and trigger necessary rebuilds.
inherit python-r1
DESCRIPTION="Python script wrapper"
HOMEPAGE="https://github.com/mgorny/python-exec/"
SRC_URI="https://github.com/mgorny/python-exec/releases/download/v${PV}/${P}.tar.bz2"
LICENSE="BSD-2"
SLOT="2"
KEYWORDS="alpha amd64 arm arm64 hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE=""
# eselect-python because of /usr/bin/python* collisions and new config
# python versions because of missing $scriptdir/python* symlinks
RDEPEND="
!<app-eselect/eselect-python-20160206
!<dev-lang/python-2.7.10-r4:2.7
!<dev-lang/python-3.3.5-r4:3.3
!<dev-lang/python-3.4.3-r4:3.4
!<dev-lang/python-3.5.0-r3:3.5"
src_configure() {
local pyimpls=() i EPYTHON
for i in "${PYTHON_COMPAT[@]}"; do
echo ${i}
python_export "${i}" EPYTHON
pyimpls+=( "${EPYTHON}" )
done
local myconf=(
--with-fallback-path="${EPREFIX}/usr/local/sbin:${EPREFIX}/usr/local/bin:${EPREFIX}/usr/sbin:${EPREFIX}/usr/bin:${EPREFIX}/sbin:${EPREFIX}/bin"
--with-python-impls="${pyimpls[*]}"
)
econf "${myconf[@]}"
}
src_install() {
default
# Prepare and own the template
insinto /etc/python-exec
newins - python-exec.conf \
< <(sed -n -e '/^#/p' config/python-exec.conf.example)
local f
for f in python{,2,3}; do
# symlink the C wrapper for python to avoid shebang recursion
# bug #568974
dosym python-exec2c /usr/bin/"${f}"
done
for f in python{,2,3}-config 2to3 idle pydoc pyvenv; do
# those are python scripts (except for new python-configs)
# so symlink them via the python wrapper
dosym ../lib/python-exec/python-exec2 /usr/bin/"${f}"
done
}
pkg_preinst() {
if [[ -e ${EROOT}etc/python-exec/python-exec.conf ]]; then
# preserve current configuration
cp "${EROOT}"etc/python-exec/python-exec.conf \
"${ED}"etc/python-exec/python-exec.conf || die
else
# preserve previous Python version preference
local py old_pythons=()
local config_base=${EROOT}etc/env.d/python
# start with the 'global' preference (2 vs 3)
if [[ -f ${config_base}/config ]]; then
old_pythons+=( "$(<${config_base}/config)" )
fi
# then try specific py3 selection
for py in 3; do
local target=
if [[ -f ${config_base}/python${py} ]]; then
# try the newer config files
target=$(<${config_base}/python${py})
elif [[ -L ${EROOT}/usr/bin/python${py} ]]; then
# check the older symlink format
target=$(readlink "${EROOT}/usr/bin/python${py}")
# check if it's actually old eselect symlink
[[ ${target} == python?.? ]] || target=
fi
# add the extra target if found and != global
if [[ ${target} && ${old_pythons[0]} != ${target} ]]; then
old_pythons+=( "${target}" )
fi
done
if [[ ${old_pythons[@]} ]]; then
elog "You seem to have just upgraded into the new version of python-exec"
elog "that uses python-exec.conf for configuration. The ebuild has attempted"
elog "to convert your previous configuration to the new format, resulting"
elog "in the following preferences (most preferred version first):"
elog
for py in "${old_pythons[@]}"; do
elog " ${py}"
done
elog
elog "Those interpreters will be preferred when running Python scripts or"
elog "calling wrapped Python executables (python, python2, pydoc...)."
elog "If none of the preferred interpreters are supported, python-exec will"
elog "fall back to the newest supported Python version."
elog
elog "Please note that due to the ambiguous character of the old settings,"
elog "you may want to modify the preference list yourself. In order to do so,"
elog "open the following file in your favorite editor:"
elog
elog " ${EROOT}etc/python-exec/python-exec.conf"
elog
elog "For more information on the new configuration format, please read"
elog "the comment on top of the installed configuration file."
local IFS=$'\n'
echo "${old_pythons[*]}" \
>> "${ED}"etc/python-exec/python-exec.conf || die
fi
fi
}

View File

@ -1,139 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
# Kids, don't do this at home!
inherit python-utils-r1
PYTHON_COMPAT=( python2_7 python3_7 python3_10 )
# Inherited purely to have PYTHON_TARGET flags which will satisfy USE
# dependencies and trigger necessary rebuilds.
inherit autotools git-r3 python-r1
DESCRIPTION="Python script wrapper"
HOMEPAGE="https://github.com/mgorny/python-exec/"
SRC_URI=""
EGIT_REPO_URI="https://github.com/mgorny/python-exec.git"
LICENSE="BSD-2"
SLOT="2"
KEYWORDS=""
IUSE=""
# eselect-python because of /usr/bin/python* collisions and new config
# python versions because of missing $scriptdir/python* symlinks
RDEPEND="
!<app-eselect/eselect-python-20160206
!<dev-lang/python-2.7.10-r4:2.7
!<dev-lang/python-3.3.5-r4:3.3
!<dev-lang/python-3.4.3-r4:3.4
!<dev-lang/python-3.5.0-r3:3.5"
src_prepare() {
default
eautoreconf
}
src_configure() {
local pyimpls=() i EPYTHON
for i in "${PYTHON_COMPAT[@]}"; do
python_export "${i}" EPYTHON
pyimpls+=( "${EPYTHON}" )
done
local myconf=(
--with-fallback-path="${EPREFIX}/usr/local/sbin:${EPREFIX}/usr/local/bin:${EPREFIX}/usr/sbin:${EPREFIX}/usr/bin:${EPREFIX}/sbin:${EPREFIX}/bin"
--with-python-impls="${pyimpls[*]}"
)
econf "${myconf[@]}"
}
src_install() {
default
# Prepare and own the template
insinto /etc/python-exec
newins - python-exec.conf \
< <(sed -n -e '/^#/p' config/python-exec.conf.example)
local f
for f in python{,2,3}; do
# symlink the C wrapper for python to avoid shebang recursion
# bug #568974
dosym python-exec2c /usr/bin/"${f}"
done
for f in python{,2,3}-config 2to3 idle pydoc pyvenv; do
# those are python scripts (except for new python-configs)
# so symlink them via the python wrapper
dosym ../lib/python-exec/python-exec2 /usr/bin/"${f}"
done
}
pkg_preinst() {
if [[ -e ${EROOT}etc/python-exec/python-exec.conf ]]; then
# preserve current configuration
cp "${EROOT}"etc/python-exec/python-exec.conf \
"${ED}"etc/python-exec/python-exec.conf || die
else
# preserve previous Python version preference
local py old_pythons=()
local config_base=${EROOT}etc/env.d/python
# start with the 'global' preference (2 vs 3)
if [[ -f ${config_base}/config ]]; then
old_pythons+=( "$(<${config_base}/config)" )
fi
# then try specific py3 selection
for py in 3; do
local target=
if [[ -f ${config_base}/python${py} ]]; then
# try the newer config files
target=$(<${config_base}/python${py})
elif [[ -L ${EROOT}/usr/bin/python${py} ]]; then
# check the older symlink format
target=$(readlink "${EROOT}/usr/bin/python${py}")
# check if it's actually old eselect symlink
[[ ${target} == python?.? ]] || target=
fi
# add the extra target if found and != global
if [[ ${target} && ${old_pythons[0]} != ${target} ]]; then
old_pythons+=( "${target}" )
fi
done
if [[ ${old_pythons[@]} ]]; then
elog "You seem to have just upgraded into the new version of python-exec"
elog "that uses python-exec.conf for configuration. The ebuild has attempted"
elog "to convert your previous configuration to the new format, resulting"
elog "in the following preferences (most preferred version first):"
elog
for py in "${old_pythons[@]}"; do
elog " ${py}"
done
elog
elog "Those interpreters will be preferred when running Python scripts or"
elog "calling wrapped Python executables (python, python2, pydoc...)."
elog "If none of the preferred interpreters are supported, python-exec will"
elog "fall back to the newest supported Python version."
elog
elog "Please note that due to the ambiguous character of the old settings,"
elog "you may want to modify the preference list yourself. In order to do so,"
elog "open the following file in your favorite editor:"
elog
elog " ${EROOT}etc/python-exec/python-exec.conf"
elog
elog "For more information on the new configuration format, please read"
elog "the comment on top of the installed configuration file."
local IFS=$'\n'
echo "${old_pythons[*]}" \
>> "${ED}"etc/python-exec/python-exec.conf || die
fi
fi
}

View File

@ -1,17 +1,4 @@
AUX 0012-Ignore-broken-and-non-applicable-tests.patch 3387 BLAKE2B 6809f3d5c2cf5698d516ccd74dbbf66cc4265200f75567fa197743672895ddee418367751ac3d99a263ff3417ed89718cd3602c609d0dfac7ba2fd5ac18dce76 SHA512 0c41c238dc0b5a7130398d8c1d6bb6987c9bff704c89875830e9d6ad28d49d9b300c1fe7c982ef9be9a92ed0057f6fc04a604d189d1aec2dc2b014d6d50a7d8d
AUX 1.44.0-libressl.patch 8969 BLAKE2B 1ae707140a93fd76ec825e0e8c49f1408cda5a3b290a07c974d8ba8ba9b82e230bc2a4864cdecc744425d77ded819690da9328af2f648c636e8fd9ba3f0bb131 SHA512 81421ce6a0eb89bb51ff6a95be79159fce18be51c341f29aaf9d18e9b4aa1d3324e0c3472f72881c94a053b6dc4490c16b5ca2ac9cece0ea2d01051e3ed28a56
DIST rust-1.43.1-aarch64-unknown-linux-gnu.tar.xz 104148868 BLAKE2B ac5db9eb58c502253d001e0c93aef867bc584d045960a1d3c2caf6772a7c1f4fbad7da579d7c72b3376804f61f1332a54e9fc7099ba5f4a65f7e5435df28894a SHA512 b54fad5493344d2370bd77110f0ffb0231f41ab8aa9707e9303304957c5d9067dc83089432eb175605b78dc771dfcf7abfcce63d7fecdbb759dd224c17d12da0
DIST rust-1.43.1-arm-unknown-linux-gnueabi.tar.xz 104779424 BLAKE2B 63c05d7403970bd4a237a6b690bcb8e78f310816a953af43da8d258a74102cd560c8674656c2036b1f391dc964ba6d2be2736bc10686c2365cc332b5c76a5502 SHA512 ea2eae6da6c757c07cf9631c706365c743c58f28b514444763ea70fed4c8fcefc5c36d55136afffc2f5e0d25e9b1fdf3243cb9def7e0f57e37b5a4783d44a61b
DIST rust-1.43.1-arm-unknown-linux-gnueabihf.tar.xz 103569032 BLAKE2B fc94eeb777a72fcb1b2821b5d10bb9eaca535d76e8caee3d06aed989107460e00146516c5be5714e9739c49d5170809fc132624f9a035afba146db883346c57a SHA512 1c523dafceb29f916a192261f673048c8f781453bcee237e0e333d694d7d7b71735544906f2edea9e0a8a48fc66a478645ae8ae865a171f4f9a94f0d8e6800c1
DIST rust-1.43.1-armv7-unknown-linux-gnueabihf.tar.xz 108430484 BLAKE2B a3c57930b4e7096f409a2129abef60fbdfadad59f29e428296f3151187eac286e82bdb2d0ca879db87563cdc707dbcabbb5e9048b54303653209b98268ab9cf3 SHA512 0812b3229dd47f1b5cadb49020e68d28b4267ac0489d0c2e448f21e3b0b6519bbf216ac9b20b747e035033842a6eb3b13a98706f2eddca2c088d9396dcb2c21e
DIST rust-1.43.1-i686-unknown-linux-gnu.tar.xz 125731548 BLAKE2B 3a3278e409a69f3e8195bab39871b5594571c1c8f2ea2a5f8c9786a739f709381c13c1b2a3209ef62cb7c5b8aec47dd769cf3e658ed57e5037522759fa1a244e SHA512 c7423bccfb15f3df6043ec1d81203c9db9b3229dedd347cab09d3cc3b183f53aa0707f59964efccd63418e1c6ad21e7ee7dcc1495eda8c4ecb55ee8e6b3ac034
DIST rust-1.43.1-mips-unknown-linux-gnu.tar.xz 95924004 BLAKE2B fc1da442dfaa535b81029ed40a85cd0d55766d84c34f0d97bf36376c44e44fd5305b429854b9c964515e10f83a06b36a6ad9daae5714e142491d99e58b1d0a07 SHA512 fe3b11e586d506dc917f0e04009a994a16575ac534a2716b49e66a0344060a26ee6c7e912b6cd7b5f010a97f59604515f899bc1b6c38f0ea86e8cecc20152dd6
DIST rust-1.43.1-mips64-unknown-linux-gnuabi64.tar.xz 100980364 BLAKE2B 12439df511c3ad43ed24cb0e648a212314a747e203680929ed3e136505eb29af3dcb007162aaa337fbac56a9b1b8f1c405217756ec712c400bc0f4d9aefd64b8 SHA512 6c0d7f172e76e21596d305df7b1a38fde66a946972765de92ccc139cf8f2e8755864b7bd94328b9639023df6be51af08428f41ed78de4ba8d43620673b9f7ecb
DIST rust-1.43.1-mipsel-unknown-linux-gnu.tar.xz 98512180 BLAKE2B b5e8cdf2b8d65cc39bfb325afda9ae75a360967a4f6f413f3b01257bc34130fcc873dc128a4e48bbcad774d69b9a4aae0d4a8182819a4411809af6a0c636b403 SHA512 cb01eac951384fbf2ead5b7d4acbf92485de0bbaa7e3a272a46a8934066d720d248a19a67ffc88b7b239c15478e8691b94302807dc7652e042c9b8edded6da12
DIST rust-1.43.1-powerpc-unknown-linux-gnu.tar.xz 105007576 BLAKE2B 8392f36025ca91742fad9755c945b42e616272cc97c33087090c6462a5ba9f1de82a0167ed53568b5cdd4c593464ed2858811fd0c9ae8559a1cba37be6db5305 SHA512 d10da49f19b79f843ae369bdff3e5040b93934dc50dac3c09bd346c24dfa7394364da647c08206d5cef4c853b7e59d1062c16e6eeba0ffc01736eeba63dd3eb6
DIST rust-1.43.1-powerpc64-unknown-linux-gnu.tar.xz 107189572 BLAKE2B ba561d45b8f9a7f446b17313d92db31b30a07d657dbc59667076ee216d66e4b2ec3811821bc6d1fde6bba811d2c46473c6e3bc06162fe4e1ffe040ad23542742 SHA512 695591807892c8f08801cd145ebc6a91ee4222000210baaaa0d6c8acf1ac6a96f4bf2566871def04d15a9965b7e3ea4287e37d7851fb14010518694d8ede75e6
DIST rust-1.43.1-powerpc64le-unknown-linux-gnu.tar.xz 112921244 BLAKE2B 9fa67664fc90c1f6095d98b756cae747be2ad863b894b393d4e9ecc3a1bd527b0d26f1bae2988981b98d4d582d2b60a18c62b3db3b5fa017439e034f576e7582 SHA512 da447ec44ebf998290a73420437c8d434a6c196cfe1c3331a9adf40abf7acd97a231e352a8626bbfa961da8e0c4f450aa59d573254257f72cce4068eeb8112a1
DIST rust-1.43.1-s390x-unknown-linux-gnu.tar.xz 119547480 BLAKE2B 8ce0d64e2d47f23cb927f3ea3a0f469e3cafc191ac1d47e580bce6cf0b35887484542f7d1b857d9bace5f696a072adb7e17e8c5f64af9bf1fbcc305707a15f9f SHA512 f087e50a91b1cc4a12bf15aea1cefbda9b89518febcecc0d56ea7d0a6a682be06cff7777d0a0b4812e96f3fb3295e7799bf200c1599c88cb7083a78d5002f14a
DIST rust-1.43.1-x86_64-unknown-linux-gnu.tar.xz 112817212 BLAKE2B c6153889d9872ed5a60bfc43bc8c98e71654fffdd79ce775c3eb4376ed4714c5532e6aaecb769e447f3ae0bb7a11aed75754a5e879404742cb0813080dcf67eb SHA512 2fc573ca2826d9f03044f746ae4d7715b4e31b9ac933289607aa3449a538bb4dfd519540576a1d0d286c0d754a7ba6ce38beef6aded1090d3af3091b6ba2a9ee
DIST rustc-1.44.1-src.tar.xz 94756856 BLAKE2B 60f536c3ba0fa1fec4b6333ee57809ee5226090ad5041c14a136b4356ff3b898062e06c3fe54effe873e27931ac8fcb902cd48a38615a8de7eebc6ecb3bdc2bd SHA512 1c17002edae844a710db9b144c17171416330dc565343c65af8a6e112fb61555e2025bb4cf33cac1229d7df689e6ff8858b91ae00552400ccacafaf1de11849b
EBUILD rust-1.44.1.ebuild 14912 BLAKE2B 107391d3f6cbd0974c06398f7b9fec061cca9dd24ffd72ca903d5b9758edc630070b841a5973b0688ea17dc5afe95141874734bd365fa6d9fb283b97df7bf27e SHA512 78456cbe534f7735d3b2400f52ad07cd1a1dd3db5ae8c834d62f8744e4b4f5205d04b83d462d0a25a82f53158c19c7f625792d8c2cfbbdb63bc41f373b2ebf8f

6
dev-libs/botan/Manifest Normal file
View File

@ -0,0 +1,6 @@
AUX botan-2.11.0-build.patch 1886 BLAKE2B 62f6b5f9c47ded4c460c6c6b3057cbbb95711b5b5db300523f45e25e6bc161277174ea4c461e872f24bfd23839510a7857c44733a333cb6054b7dc183faa3e2e SHA512 90948e75d5bb6f2620a92fe4aea37d05aaf25e98430b112651aa6ad635f19f8659658ae79d16e60e27ca61ec5da92d5dd1c234c4c9e2ae0fab44b92806bcafe0
DIST 2.19.1.tar.gz 8187922 BLAKE2B 809f093c539349da0d70d62f7d7ca62c99b51c1fb0aa55c2fd4e91742f1acb7ff5f799d140688169a09d50a4a7aa20cb2fe42e0c33fd93093431ffdfffe68dd2 SHA512 45e6fc320625ba230376546f27a32d49497a1bd85e13d9f6e4a871f0407c51bafa25be8534ee2f73ac46fbcd68413eb36670c447df2918623bda991f807e34a7
DIST Botan-2.11.0.tar.xz 5765712 BLAKE2B 5602ef9485363b21f6f622f7370e486d834477730c2fc2f0bb9211db944d2b2a6a03d8ae14845cf871f648c76c77fd3e18804bd598f805a5754e3bfadb114d5d SHA512 a697a7f29788afc561cde35431e65e2f37e40fd45af89a6d060bf9988d28089905c6a1c005f9b23fb377547cd7a96a41f62c8d2f61a7f80d1ca1b9ccf857a2ce
EBUILD botan-2.11.0.ebuild 2540 BLAKE2B c7619d759e7ecc9b1e576271f744e64804b7708254d62163eef622a5ee388c229f2b9f24fb4e979e2dbe12c2228b483b262213b09daf1c3e392a6f736db5034c SHA512 78b307c962d4321e16e62a05f97436cfe9905eb752bf1c16c22e2add284eb8dab5173c279e42423f2f1b73487a09305c67829648e5c34893d1fbdddc004885d9
EBUILD botan-2.19.1.ebuild 2417 BLAKE2B c9cd60bd99c0a1442fb321a54d3daf472e8898104961b97f8bb13aad7fd5a70700c2e6282d69fe9998b3db0f1cedd07e48a3bbfd85ff18924a82e88f2144d2c1 SHA512 82ee03402b6ca767c0e1c46dd0bd1a206a9317d596f6291140df436a604b42d0dc69bf7c3b7e1d02c7cfb1ea29ba647109e789bc60e5888da8a40ea9802c8567
MISC metadata.xml 610 BLAKE2B a74ed3478dcf62ad762a113e594c660656d52352e569d4eaa54c47009505a869c4e553a8f8330b0b2ad9dae88b7b2bc6d44ede1f2dd330da9ff01240f56eed29 SHA512 9d14b7f0222b9b169f8ae60798d1a9ac551004bcbd0344451409cdb1cbefaaf70760a2f443f0c793265492387ca28f7dccd293bd30585a014a72f2a21eee1561

View File

@ -0,0 +1,103 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python{2_7,3_5,3_6,3_7} )
inherit multilib python-r1 toolchain-funcs
MY_PN="Botan"
MY_P="${MY_PN}-${PV}"
DESCRIPTION="A C++ crypto library"
HOMEPAGE="https://botan.randombit.net/"
SRC_URI="https://botan.randombit.net/releases/${MY_P}.tar.xz"
KEYWORDS="amd64 ~arm hppa ~ia64 ppc ppc64 ~sparc x86 ~ppc-macos"
SLOT="2/$(ver_cut 1-2)" # soname version
LICENSE="BSD"
IUSE="bindist doc boost python bzip2 libressl lzma sqlite ssl static-libs zlib"
REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
S="${WORKDIR}/${MY_P}"
DEPEND="python? ( ${PYTHON_DEPS} )"
RDEPEND="${DEPEND}
bzip2? ( >=app-arch/bzip2-1.0.5:= )
zlib? ( >=sys-libs/zlib-1.2.3:= )
boost? ( >=dev-libs/boost-1.48:= )
lzma? ( app-arch/xz-utils:= )
sqlite? ( dev-db/sqlite:3= )
ssl? (
!libressl? ( dev-libs/openssl:0=[bindist=] )
libressl? ( dev-libs/libressl:0= )
)"
BDEPEND="dev-lang/python:*
doc? ( dev-python/sphinx )"
#PATCHES=(
# "${FILESDIR}/${P}-build.patch"
#)
src_configure() {
local disable_modules=()
use boost || disable_modules+=( "boost" )
use bindist && disable_modules+=( "ecdsa" )
elog "Disabling modules: ${disable_modules[@]}"
# Enable v9 instructions for sparc64
if [[ "${PROFILE_ARCH}" = "sparc64" ]]; then
CHOSTARCH="sparc32-v9"
else
CHOSTARCH="${CHOST%%-*}"
fi
local myos=
case ${CHOST} in
*-darwin*) myos=darwin ;;
*) myos=linux ;;
esac
case ${CHOST} in
hppa*) CHOSTARCH=parisc ;;
esac
local pythonvers=()
if use python; then
append() {
pythonvers+=( ${EPYTHON/python/} )
}
python_foreach_impl append
fi
CXX="$(tc-getCXX)" AR="$(tc-getAR)" ./configure.py \
$(use_enable static-libs static-library) \
$(use_with boost) \
$(use_with bzip2) \
$(use_with doc documentation) \
$(use_with doc sphinx) \
$(use_with lzma) \
$(use_with sqlite sqlite3) \
$(use_with ssl openssl) \
$(use_with zlib) \
$(usex hppa --without-stack-protector '') \
--cc=gcc \
--cpu=${CHOSTARCH} \
--disable-modules=$(IFS=","; echo "${disable_modules[*]}" ) \
--docdir=share/doc \
--libdir=$(get_libdir) \
--os=${myos} \
--prefix="${EPREFIX}/usr" \
--with-endian="$(tc-endian)" \
--with-python-version=$(IFS=","; echo "${pythonvers[*]}" ) \
--without-doxygen \
|| die "configure.py failed"
}
src_test() {
LD_LIBRARY_PATH="${S}" ./botan-test || die "Validation tests failed"
}
src_install() {
default
use python && python_foreach_impl python_optimize
}

View File

@ -0,0 +1,97 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python2+ )
inherit multilib python-r1 toolchain-funcs
DESCRIPTION="A C++ crypto library"
SRC_URI="https://github.com/randombit/botan/archive/refs/tags/2.19.1.tar.gz"
HOMEPAGE="https://botan.randombit.net/"
KEYWORDS="amd64 ~arm hppa ~ia64 ppc ppc64 ~sparc x86 ~ppc-macos"
SLOT="2/$(ver_cut 1-2)" # soname version
LICENSE="BSD"
IUSE="bindist doc boost python bzip2 libressl lzma sqlite ssl static-libs zlib"
REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
S="${WORKDIR}/${P}"
DEPEND="python? ( ${PYTHON_DEPS} )"
RDEPEND="${DEPEND}
bzip2? ( >=app-arch/bzip2-1.0.5:= )
zlib? ( >=sys-libs/zlib-1.2.3:= )
boost? ( >=dev-libs/boost-1.48:= )
lzma? ( app-arch/xz-utils:= )
sqlite? ( dev-db/sqlite:3= )
ssl? (
!libressl? ( dev-libs/openssl:0=[bindist=] )
libressl? ( dev-libs/libressl:0= )
)"
BDEPEND="dev-lang/python:*
doc? ( dev-python/sphinx )"
src_configure() {
local disable_modules=()
use boost || disable_modules+=( "boost" )
use bindist && disable_modules+=( "ecdsa" )
elog "Disabling modules: ${disable_modules[@]}"
# Enable v9 instructions for sparc64
if [[ "${PROFILE_ARCH}" = "sparc64" ]]; then
CHOSTARCH="sparc32-v9"
else
CHOSTARCH="${CHOST%%-*}"
fi
local myos=
case ${CHOST} in
*-darwin*) myos=darwin ;;
*) myos=linux ;;
esac
case ${CHOST} in
hppa*) CHOSTARCH=parisc ;;
esac
local pythonvers=()
if use python; then
append() {
pythonvers+=( ${EPYTHON/python/} )
}
python_foreach_impl append
fi
CXX="$(tc-getCXX)" AR="$(tc-getAR)" ./configure.py \
$(use_enable static-libs static-library) \
$(use_with boost) \
$(use_with bzip2) \
$(use_with doc documentation) \
$(use_with doc sphinx) \
$(use_with lzma) \
$(use_with sqlite sqlite3) \
$(use_with ssl openssl) \
$(use_with zlib) \
$(usex hppa --without-stack-protector '') \
--cc=gcc \
--cpu=${CHOSTARCH} \
--disable-modules=$(IFS=","; echo "${disable_modules[*]}" ) \
--docdir=share/doc \
--libdir=$(get_libdir) \
--os=${myos} \
--prefix="${EPREFIX}/usr" \
--with-endian="$(tc-endian)" \
--with-python-version=$(IFS=","; echo "${pythonvers[*]}" ) \
--without-doxygen \
|| die "configure.py failed"
}
src_test() {
LD_LIBRARY_PATH="${S}" ./botan-test || die "Validation tests failed"
}
src_install() {
default
use python && python_foreach_impl python_optimize
}

View File

@ -0,0 +1,63 @@
From 86df247e4f090f984e050962ed5a4a536ec63b33 Mon Sep 17 00:00:00 2001
From: Ralf van der Enden <Ralf.vanderEnden@deltares.nl>
Date: Fri, 5 Apr 2019 14:58:14 +0200
Subject: [PATCH] boost 1.70 compatibility
Fixes issue #82
---
src/cli/tls_http_server.cpp | 8 +++++++-
src/cli/tls_proxy.cpp | 8 +++++++-
2 files changed, 14 insertions(+), 2 deletions(-)
diff --git a/src/cli/tls_http_server.cpp b/src/cli/tls_http_server.cpp
index cc59a71c33..0a6428cd65 100644
--- a/src/cli/tls_http_server.cpp
+++ b/src/cli/tls_http_server.cpp
@@ -41,6 +41,12 @@
#include "credentials.h"
+#if BOOST_VERSION >= 107000
+#define GET_IO_SERVICE(s) ((boost::asio::io_context&)(s).get_executor().context())
+#else
+#define GET_IO_SERVICE(s) ((s).get_io_service())
+#endif
+
namespace Botan_CLI {
namespace {
@@ -435,7 +441,7 @@ class TLS_Asio_HTTP_Server final
session::pointer make_session()
{
return session::create(
- m_acceptor.get_io_service(),
+ GET_IO_SERVICE(m_acceptor),
m_session_manager,
m_creds,
m_policy);
diff --git a/src/cli/tls_proxy.cpp b/src/cli/tls_proxy.cpp
index 49ffbe3766..42ce156b12 100644
--- a/src/cli/tls_proxy.cpp
+++ b/src/cli/tls_proxy.cpp
@@ -33,6 +33,12 @@
#include "credentials.h"
+#if BOOST_VERSION >= 107000
+#define GET_IO_SERVICE(s) ((boost::asio::io_context&)(s).get_executor().context())
+#else
+#define GET_IO_SERVICE(s) ((s).get_io_service())
+#endif
+
namespace Botan_CLI {
namespace {
@@ -370,7 +376,7 @@ class tls_proxy_server final
session::pointer make_session()
{
return session::create(
- m_acceptor.get_io_service(),
+ GET_IO_SERVICE(m_acceptor),
m_session_manager,
m_creds,
m_policy,

View File

@ -0,0 +1,22 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>lloyd@randombit.net</email>
<name>Jack Lloyd </name>
</maintainer>
<maintainer type="project">
<email>crypto@gentoo.org</email>
<name>Crypto</name>
</maintainer>
<maintainer type="project">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers Project</name>
</maintainer>
<use>
<flag name="boost">use <pkg>dev-libs/boost</pkg></flag>
</use>
<slots>
<subslots>botan soname version</subslots>
</slots>
</pkgmetadata>

3
media-gfx/iscan/Manifest Normal file
View File

@ -0,0 +1,3 @@
DIST iscan_2.30.3-1.tar.gz 1216848 BLAKE2B 8a5f485c1dd814248c46aec6accedd331105c3ccc0f70a582e60dfb62b1cc1f1ebab358f0896b15cbf842ea06f8a35447d91f76391b10bad07df371512856c32 SHA512 5f68b2f7b7c1d1b5d3d65a55c3a80538fda5d2bdf9cd50fbf942e0eb49dcb84983ede66ed2f6354f9591692808df54415400fe02ed47e7373082869612a47872
DIST userg_revQ_e.pdf 627189 BLAKE2B ff57871c58dc541e30d65127bd8f4cc2a20ec5341c1d0914116f7ec4ae002d896853b99488eec71e5f8cb150e6b63d353efb9be11977de26d017701bc051014a SHA512 b09d5143855a759e0fa3e74794762566b6fbf734642f9d7f712e5f2f20e3dce6b830465fd65f83f9cc368292ce7a2c0cec709b0eba6356d95e1ba5114b3348fc
DIST userg_revQ_j.pdf 734920 BLAKE2B ed2cffdc2dbf0a2403dcbd93cef3349b9e35afb305f9b36f92b8f11bd42b5281fc7bfbec108703f327fb538868c530418406d37505e6eb6afa621d2d49d007ba SHA512 d5cb0cebaae0ac36951379cad516f0575e85e0bb509cf88549239e300c7d6c6a4996497145acaa9e9783de6b08c6e352c7ffbedb23ed04c15eefbe9c3cf0bc90

View File

@ -0,0 +1,48 @@
--- a/lib/pngstream.cc
+++ b/lib/pngstream.cc
@@ -83,7 +83,12 @@
#if HAVE_PNG_H
set_error_handler (_png, _info);
+/* when not interlacing (ie, only one pass), number of rows is image height: _v_sz */
+#if PNG_LIBPNG_VER > 10499
+ if (!_footer && _v_sz == lib->get_current_row_number(_png))
+#else
if (_header && !_footer && _png->num_rows == _png->flush_rows)
+#endif
{
lib->write_end (_png, _info);
_footer = true;
@@ -167,6 +172,9 @@
funcsym (write_row);
funcsym (write_flush);
funcsym (write_end);
+#if PNG_LIBPNG_VER > 10499
+ funcsym (get_current_row_number);
+#endif
if (lib->access_version_number
&& lib->create_write_struct
@@ -176,6 +184,9 @@
&& lib->set_IHDR
&& lib->set_pHYs
&& lib->set_invert_mono
+#if PNG_LIBPNG_VER > 10499
+ && lib->get_current_row_number
+#endif
&& lib->write_info
&& lib->write_row
&& lib->write_flush
--- a/lib/pngstream.hh
+++ b/lib/pngstream.hh
@@ -108,6 +108,10 @@
png_structp);
fundecl (void, write_end,
png_structp, png_infop);
+#if PNG_LIBPNG_VER > 10499
+ fundecl (png_uint_32, get_current_row_number,
+ png_structp);
+#endif
#endif /* HAVE_PNG_H */
};
static png_lib_handle *lib;

View File

@ -0,0 +1,64 @@
diff -Naur iscan-2.29.1.orig/backend/Makefile.am iscan-2.29.1/backend/Makefile.am
--- iscan-2.29.1.orig/backend/Makefile.am 2012-06-11 23:33:33.000000000 -0500
+++ iscan-2.29.1/backend/Makefile.am 2013-02-18 20:29:05.091814060 -0600
@@ -58,7 +58,6 @@
libepkowa_la_CPPFLAGS = \
$(AM_CPPFLAGS) \
- $(LTDLINCL) \
-I$(top_srcdir)/include \
-I$(top_srcdir)/non-free \
$(XML_CFLAGS) \
@@ -70,7 +69,7 @@
-lm \
$(XML_LIBS) \
$(LIBUSB_1_0_LIBS) \
- $(LIBLTDL)
+ -lltdl
libepkowa_la_SOURCES = \
$(sane_backends_files) \
ipc.c \
diff -Naur iscan-2.29.1.orig/configure.ac iscan-2.29.1/configure.ac
--- iscan-2.29.1.orig/configure.ac 2012-06-11 23:33:34.000000000 -0500
+++ iscan-2.29.1/configure.ac 2013-02-18 20:30:10.413311997 -0600
@@ -266,13 +266,10 @@
dnl The somewhat obscure LT_AC_PROG_SED is here to make sure that the
dnl SED environment variable gets set before it's used by the libtool
dnl machinery. This works around buggy libtool versions.
-LT_AC_PROG_SED
-AC_LIBLTDL_INSTALLABLE
-AC_LIBTOOL_DLOPEN
AC_PROG_LIBTOOL
-AC_LIB_LTDL
-AC_SUBST(LTDLINCL)
-AC_SUBST(LIBLTDL)
+AC_LTDL_SHLIBPATH
+AC_LTDL_SHLIBEXT
+AC_LTDL_SYSSEARCHPATH
dnl Graphic file format options
diff -Naur iscan-2.29.1.orig/frontend/Makefile.am iscan-2.29.1/frontend/Makefile.am
--- iscan-2.29.1.orig/frontend/Makefile.am 2012-06-11 23:33:33.000000000 -0500
+++ iscan-2.29.1/frontend/Makefile.am 2013-02-18 20:30:38.764092975 -0600
@@ -34,7 +34,7 @@
iscan_LDADD = \
$(top_builddir)/lib/libimage-stream.la \
-lsane \
- @LIBLTDL@ \
+ -lltdl \
@GTK_LIBS@ \
@GDK_IMLIB_LIBS@ \
$(top_builddir)/non-free/libesmod.so
diff -Naur iscan-2.29.1.orig/lib/Makefile.am iscan-2.29.1/lib/Makefile.am
--- iscan-2.29.1.orig/lib/Makefile.am 2012-06-11 23:33:34.000000000 -0500
+++ iscan-2.29.1/lib/Makefile.am 2013-02-18 20:30:58.852936051 -0600
@@ -30,7 +30,7 @@
libimage_stream_la_CPPFLAGS = -I$(top_srcdir)/include
libimage_stream_la_LDFLAGS = -static
libimage_stream_la_LIBADD = \
- $(LIBLTDL) \
+ -lltdl \
$(top_builddir)/lib/pdf/libpdf.la
libimage_stream_la_SOURCES = \
$(libimage_stream_la_files)

View File

@ -0,0 +1,37 @@
diff -ur iscan-2.29.1/configure.ac iscan-2.29.1.new/configure.ac
--- iscan-2.29.1/configure.ac 2014-01-27 14:15:28.139043864 -0500
+++ iscan-2.29.1.new/configure.ac 2014-01-27 14:17:10.608044736 -0500
@@ -279,6 +279,9 @@
AC_HELP_STRING([--enable-$1],
[ensure support for the $3 file format]),
[if test "x$enable_$1" != xno; then
+ if test "x$4" != xno; then
+ PKG_CHECK_MODULES($3,[$4])
+ fi
iff_header="`echo $2 | $as_tr_sh`"
AC_CHECK_HEADERS([$2])
if test `eval echo '$ac_cv_header_'$iff_header` \
@@ -289,9 +292,9 @@
[AC_CHECK_HEADERS([$2])])
])
-ISCAN_FILE_FORMAT(jpeg,jpeglib.h,JPEG)
-ISCAN_FILE_FORMAT(png,png.h,PNG)
-ISCAN_FILE_FORMAT(tiff,tiffio.h,TIFF)
+ISCAN_FILE_FORMAT(jpeg,jpeglib.h,JPEG,no)
+ISCAN_FILE_FORMAT(png,png.h,PNG,libpng)
+ISCAN_FILE_FORMAT(tiff,tiffio.h,TIFF,no)
dnl Support for performance measurements.
diff -ur iscan-2.29.1/frontend/Makefile.am iscan-2.29.1.new/frontend/Makefile.am
--- iscan-2.29.1/frontend/Makefile.am 2014-01-27 14:15:28.123043864 -0500
+++ iscan-2.29.1.new/frontend/Makefile.am 2014-01-27 14:17:43.628045017 -0500
@@ -37,6 +37,7 @@
-lltdl \
@GTK_LIBS@ \
@GDK_IMLIB_LIBS@ \
+ @PNG_LIBS@ \
$(top_builddir)/non-free/libesmod.so
iscan_SOURCES = \
$(iscan_source_files)

View File

@ -0,0 +1,45 @@
Drop obsolete C++ ABI transistion code.
https://bugs.gentoo.org/549866
--- a/configure.ac
+++ b/configure.ac
@@ -62,27 +62,6 @@ dnl checks for programs
AC_PROG_CXX
-# Transitionary check for the C++ ABI while we are switching provided
-# binaries from gcc-3.[23] to gcc-3.4 or later. Currently gcc-3.[23]
-# is still the official compiler version to use, but experimental bi-
-# naries are released with a ".c2" suffix.
-# The CXX_ABI for gcc-3.[23] is 102, btw.
-# Note that the PACKAGE_RELEASE for the gcc-3.4 or later packages has
-# to be larger than that for the gcc-3.[23] packages (as long as both
-# are distributed) for smooth upgrade paths.
-
-if test x"$CXX" = xg++; then
- AC_MSG_CHECKING([C++ ABI version])
- CXX_ABI="`$CXX -E -dM - < /dev/null | $AWK '/GXX_ABI/ { print $3 }'`"
- AC_MSG_RESULT([$CXX_ABI])
- if test x"$CXX_ABI" = x1002; then
- PACKAGE_CXX_ABI=".c2"
- else
- PACKAGE_CXX_ABI=""
- fi
- AC_SUBST(PACKAGE_CXX_ABI)
-fi
-
AC_PROG_CC
AC_PROG_CPP
AC_PROG_INSTALL
--- a/non-free/Makefile.am
+++ b/non-free/Makefile.am
@@ -65,7 +65,7 @@ $(NON_FREE_SOLIBS):
*) echo "unsupported architecture" 1>&2; \
exit 1;; \
esac; \
- $(LN_S) $(srcdir)/libesmod-$${arch}$(PACKAGE_CXX_ABI).so $@
+ $(LN_S) $(srcdir)/libesmod-$${arch}.c2.so $@
install-exec-local: $(NON_FREE_SOLIBS)
$(mkinstalldirs) $(DESTDIR)$(libdir)

View File

@ -0,0 +1,11 @@
--- iscan-2.30.1/lib/jpegstream.cc.old 2016-10-12 02:55:47.345862674 -0400
+++ iscan-2.30.1/lib/jpegstream.cc 2016-10-12 03:02:53.790439580 -0400
@@ -82,7 +82,7 @@
// only that _bits != 8.
for (unsigned int i = 0; i < _h_sz; ++i)
{
- div_t index = div (i, 8 * sizeof (JSAMPLE));
+ div_t index = div ((int) i, (int) 8 * sizeof (JSAMPLE));
int offset = 8 * sizeof (JSAMPLE) - 1 - index.rem;
_scanline[i] = ((line[index.quot] & (1 << offset))
? 0 : ~0);

View File

@ -0,0 +1,11 @@
diff -ru a/sanei/sanei_pio.c b/sanei/sanei_pio.c
--- a/sanei/sanei_pio.c 2019-03-01 10:44:36.723260142 -0600
+++ b/sanei/sanei_pio.c 2019-03-01 10:48:47.660693036 -0600
@@ -73,6 +73,7 @@
#elif HAVE_SYS_HW_H
# include <sys/hw.h>
#elif defined(__i386__) && defined (__GNUC__)
+#include <sys/types.h>
static __inline__ void
outb (u_char value, u_long port)

View File

@ -0,0 +1,139 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
MY_DOC="userg_revQ"
inherit autotools desktop flag-o-matic
# HINTS:
# -> non-free modules are x86 and amd64 only
# -> iscan frontend needs non-free modules
# -> sane-epkowa should be usable on every arch
# -> ${P}-${SRC_REV}.tar.gz (for gcc 3.2/3.3)
# -> ${P}-${SRC_REV}.c2.tar.gz (for gcc 3.4 or later)
# FIXME:
# iscan doesn't compile w/o libusb, this should be fixed somehow.
# TODO:
# (re)add closed-source binary modules which are needed for some scanners.
DESCRIPTION="EPSON Image Scan! for Linux (including sane-epkowa backend)"
HOMEPAGE="http://download.ebz.epson.net/dsc/search/01/search/?OSC=LX"
SRC_URI="http://support.epson.net/linux/src/scanner/iscan/${PN}_$(ver_rs 3 -).tar.gz
doc? (
https://dev.gentoo.org/~flameeyes/avasys/${MY_DOC}_e.pdf
l10n_ja? ( https://dev.gentoo.org/~flameeyes/avasys/${MY_DOC}_j.pdf )
)"
LICENSE="GPL-2 AVASYS"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="doc gimp l10n_ja X"
REQUIRED_USE="gimp? ( X )"
DEPEND="
dev-libs/libxml2
media-gfx/sane-backends
virtual/libusb:1
virtual/udev
gimp? ( media-gfx/gimp )
X? (
dev-libs/glib:2
media-libs/libpng:=
media-libs/tiff:=
virtual/jpeg:=
x11-libs/gtk+:2
)
"
RDEPEND="${DEPEND}
media-gfx/iscan-data
"
BDEPEND="
virtual/pkgconfig
X? ( sys-devel/gettext )
"
# Upstream ships broken sanity test
RESTRICT="test"
S="${WORKDIR}/${PN}-$(ver_cut 1-3)"
DOCS=( AUTHORS NEWS README )
PATCHES=(
"${FILESDIR}"/iscan-2.29.1-drop-ltdl.patch
"${FILESDIR}"/iscan-2.28.1.3+libpng-1.5.patch
"${FILESDIR}"/iscan-2.29.1-png-libs.patch
"${FILESDIR}"/iscan-2.30.1-fix-g++-test.patch
"${FILESDIR}"/iscan-2.30.1.1-gcc6.patch
"${FILESDIR}"/iscan-2.30.3.1-fix-x86-unknown-types.patch
)
QA_PRESTRIPPED="usr/lib.*/libesmod.so.*"
QA_TEXTRELS="${QA_PRESTRIPPED}"
QA_FLAGS_IGNORED="${QA_PRESTRIPPED}"
src_prepare() {
default
if ! use X; then
sed -i -e "s:PKG_CHECK_MODULES(GTK,.*):AC_DEFINE([HAVE_GTK_2], 0):g" \
-e "s:\(PKG_CHECK_MODULES(GDK_IMLIB,.*)\):#\1:g" configure.ac || die
fi
eautoreconf
}
src_configure() {
append-cppflags -D_GNU_SOURCE # needed for 'strndup'
replace-flags "-O[0-9s]" "-O1" # fix selector box bug 388073
local myeconfargs=(
--enable-dependency-reduction
--disable-static
$(use_enable gimp)
$(use_enable X frontend)
$(use_enable X jpeg)
$(use_enable X png)
$(use_enable X tiff)
)
econf "${myeconfargs[@]}"
}
src_install() {
use l10n_ja && DOCS+=( {NEWS,README}.ja )
use doc && DOCS+=( "${DISTDIR}/${MY_DOC}_$(usex l10n_ja j e).pdf" )
default
# install sane config
insinto /etc/sane.d
doins backend/epkowa.conf
# link iscan so it is seen as a plugin in gimp
if use gimp; then
local plugindir="$(gimptool-2.0 --gimpplugindir)/plug-ins"
dodir "${plugindir}"
dosym "${ED}"/usr/bin/iscan "${plugindir}"/iscan
fi
use X && make_desktop_entry iscan "Image Scan! for Linux ${PV}" scanner
}
pkg_postinst() {
local DLL_CONF="${EPREFIX}/etc/sane.d/dll.conf"
local EPKOWA_CONF="${EPREFIX}/etc/sane.d/epkowa.conf"
if grep -q "^[ \t]*\<epkowa\>" ${DLL_CONF}; then
elog "Please edit ${EPKOWA_CONF} to suit your needs."
elif grep -q "\<epkowa\>" ${DLL_CONF}; then
elog "Hint: to enable the backend, add 'epkowa' to ${DLL_CONF}"
elog "Then edit ${EPKOWA_CONF} to suit your needs."
else
echo "epkowa" >> ${DLL_CONF} || die
elog "A new entry 'epkowa' was added to ${DLL_CONF}"
elog "Please edit ${EPKOWA_CONF} to suit your needs."
fi
}

View File

@ -0,0 +1,19 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>mattsch@gmail.com</email>
<name>Matthew Schultz</name>
</maintainer>
<maintainer type="project">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
<longdescription lang="en">
Image Scan! is a graphical scanner utility for people that do not need all
the bells and whistles provided by several of the other utilities out there
(xsane, QuiteInsane, Kooka). At the moment it only supports SEIKO EPSON
scanners and all-in-ones. However, the scanner driver it provides can
be used by any other SANE standard compliant scanner utility.
</longdescription>
</pkgmetadata>

View File

@ -0,0 +1,4 @@
AUX meson-version-fix.patch 336 BLAKE2B eac21e3c6ec97917c986e6c899ad8fa6c200fad1a111a33cf8c01632c33c65de038a8af9a18027984e08dbcbfdd7357ef44e4edc112a502c69fc06f17f02bf72 SHA512 d9b1416288f2a6165e67823919188d71cf7a388f7d2d61e4a4359ea994fed1582ce6a5d19f195fe045d810304985ee36ef0c9dba69106caf57addcd5c5b6c463
DIST totem-3.34.1.tar.xz 2157160 BLAKE2B 9ae9c8f6485c7377af07803c328e8ea3cc6fa80d8e30a7045bd2b50f7bc3d5a12582e5b60d901d22683f89e994c619c26ddb8b0890e343c873d4457fa177786d SHA512 9a3556f5cf522fca29926db185c2e5d25bdb80a25e14d0ba3062a7f15fc3ec40ae9f25752763bc444d4fd82ec2098efd732da662a1b1c5923ec19fde432606db
EBUILD totem-3.34.1.ebuild 3215 BLAKE2B 0d4f4ac70dca2dadce7e35defc65e1044cee9eed559336d566ecc71e24ebb265df87f40948bcf2512998b7c664119680f15816a42d94345c363cdb8e847f68df SHA512 07a44b1433a07fdd7e58075df39b00aa298d1e6eeff6683dcae0aa8a8d3602e359d3302173b10d442fc54c2234afcd87c6b04b4bdd3d629c400e3c63169f33c9
MISC metadata.xml 1203 BLAKE2B 17dbe39772d0e1e06ddc792e26344fa17d957c7fbc483030be4c48a3ebe262c23670f77f5ed811161f0419f020a435af791147f94276285b5c9e72b9fcf1e03f SHA512 d361035197d6ecbd6f2ad3cabc641cae06144148f468b5311c778950806fb0fffc9f2f4685ea557b64c7da67e08830b3ae4d11535849a01b9c06bb1c813b3b08

View File

@ -0,0 +1,11 @@
--- a/meson.build 2022-10-24 18:30:04.460643241 +0200
+++ b/meson.build 2022-10-24 18:30:12.632616397 +0200
@@ -3,7 +3,7 @@
version: '3.34.1',
license: 'GPL2+ with exception',
default_options: 'buildtype=debugoptimized',
- meson_version: '>= 0.49.0'
+ meson_version: '>= 0.50.0'
)
totem_version = meson.project_version()

View File

@ -0,0 +1,26 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>gnome@gentoo.org</email>
<name>Gentoo GNOME Desktop</name>
</maintainer>
<maintainer type="project">
<email>media-video@gentoo.org</email>
<name>Gentoo Video project</name>
</maintainer>
<maintainer type="project">
<email>gstreamer@gentoo.org</email>
<name>GStreamer package maintainers</name>
</maintainer>
<longdescription>
Totem is movie player for the GNOME desktop. It features a playlist, fullscreen mode, seek and volume controls, as well as a pretty complete keyboard navigation. It comes with added functionality such as a video thumbnailer for Nautilus, Nautilus properties tab and a webcam utility.
</longdescription>
<use>
<flag name="lirc">Enable support for controlling Totem with a remote control
using <pkg>app-misc/lirc</pkg></flag>
<flag name="nautilus">Enable the nautilus extension</flag>
<flag name="python">Build support for <pkg>dev-lang/python</pkg> plugins</flag>
<flag name="zeitgeist">Build the plugin to inject events to <pkg>gnome-extra/zeitgeist</pkg></flag>
</use>
</pkgmetadata>

View File

@ -0,0 +1,133 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python3+ )
PYTHON_REQ_USE="threads(+)"
inherit gnome2 python-single-r1 meson vala
DESCRIPTION="Media player for GNOME"
HOMEPAGE="https://wiki.gnome.org/Apps/Videos"
LICENSE="GPL-2+ LGPL-2+"
SLOT="0"
IUSE="cdr +introspection lirc nautilus +python +vala"
# see bug #359379
REQUIRED_USE="
python? ( introspection ${PYTHON_REQUIRED_USE} )
"
KEYWORDS="*"
# FIXME:
# Runtime dependency on gnome-session-2.91
COMMON_DEPEND="
>=dev-libs/glib-2.62.2:2[dbus]
>=dev-libs/libpeas-1.1[gtk]
>=dev-libs/totem-pl-parser-3.26.0:0=[introspection?]
>=media-libs/clutter-1.17.3:1.0[gtk]
>=media-libs/clutter-gst-2.99.2:3.0
>=media-libs/clutter-gtk-1.8.1:1.0
>=x11-libs/cairo-1.16.0
>=x11-libs/gdk-pixbuf-2.39.2:2
>=x11-libs/gtk+-3.24.12:3[introspection?]
>=media-libs/grilo-0.3.0:0.3[playlist]
>=media-libs/gstreamer-1.6.0:1.0
>=media-libs/gst-plugins-base-1.6.0:1.0[X,introspection?,pango]
media-libs/gst-plugins-good:1.0
x11-libs/libX11
gnome-base/gnome-desktop:3=
gnome-base/gsettings-desktop-schemas
cdr? (
>=dev-libs/libxml2-2.6:2
>=x11-libs/gtk+-3.24.12:3[X]
)
introspection? ( >=dev-libs/gobject-introspection-1.62.0:= )
lirc? ( app-misc/lirc )
nautilus? ( >=gnome-base/nautilus-2.91.3 )
python? (
${PYTHON_DEPS}
$(python_gen_cond_dep '>=dev-python/pygobject-2.90.3:3[${PYTHON_USEDEP}]') )
"
RDEPEND="${COMMON_DEPEND}
media-plugins/grilo-plugins:0.3
media-plugins/gst-plugins-meta:1.0
media-plugins/gst-plugins-taglib:1.0
x11-themes/adwaita-icon-theme
python? (
$(python_gen_cond_dep '
>=dev-libs/libpeas-1.1.0[python,${PYTHON_USEDEP}]
dev-python/pyxdg[${PYTHON_USEDEP}]
dev-python/dbus-python[${PYTHON_USEDEP}]
')
>=x11-libs/gtk+-3.24.12:3[introspection] )
"
# libxml2+gdk-pixbuf required for glib-compile-resources
DEPEND="${COMMON_DEPEND}
app-text/docbook-xml-dtd:4.5
app-text/yelp-tools
>=dev-libs/libxml2-2.6:2
>=dev-util/meson-0.50
>=sys-devel/gettext-0.19.8
virtual/pkgconfig
x11-base/xorg-proto
vala? ( $(vala_depend) )
"
# docbook-xml-dtd is needed for user doc
# Prevent dev-python/pylint dep, bug #482538
pkg_setup() {
use python && python-single-r1_pkg_setup
}
src_prepare() {
eapply \
"${FILESDIR}/meson-version-fix.patch"
vala_src_prepare
gnome2_src_prepare
}
src_configure() {
# FL-5969. workaround sandbox violations:
for card in /dev/dri/card* ; do
addpredict "${card}"
done
for render in /dev/dri/render* ; do
addpredict "${render}"
done
for vid in /dev/video* ; do
addpredict "${vid}"
done
# pylint is checked unconditionally, but is only used for make check
# appstream-util overriding necessary until upstream fixes their macro
# to respect configure switch
local emesonargs=(
-Denable-easy-codec-installation=yes
-Denable-gtk-doc=false
-Denable-python=$(usex python yes no)
-Dwith-plugins=auto
)
meson_src_configure
}
src_compile() {
# needed parallel build fix
eninja -C "${BUILD_DIR}" -j1
}
src_install() {
meson_src_install
if use python ; then
local plugin
for plugin in dbusservice pythonconsole opensubtitles ; do
python_optimize "${ED}"usr/$(get_libdir)/totem/plugins/${plugin}
done
fi
}

View File

@ -0,0 +1,5 @@
AUX 1.6.5-warnings.patch 1115 BLAKE2B eac889dc8f5b39bbcf633c3ff2469ba1d3e07f475aa29f82e2ff81568aa72e2a3c25018c481b9d56bfd321314fb931561bbaed5b0883597c6fb296465ac486f1 SHA512 8a32ce7d22bb97cf1a7c1864353cab4a148eb4d1dc599f355420e0119dfb89abbfb66cbe58c8f35e2f8fc3a62b0c4018e0d48065acd21b17cb250e4722b9e027
AUX epson-inkjet-printer-escpr-1.7.7-fnocommon.patch 309 BLAKE2B 70e10c99dcf8b5d06acd38722f419c09f994253538d88cc9621051ee58b8a9cbe203c35c279c9ef8b5f0f7cd091118a0b2ccf802e09e2996f4e6346e7927f695 SHA512 5cff64797453868d1d0540a22fd72b53d7214d2e9c574cdf635206baf71fc227147babcfe97c73193ca356ad40afa5bb7ea80107576efee138b936e052b9fb2d
DIST epson-inkjet-printer-escpr-1.7.8-1lsb3.2.tar.gz 4809140 BLAKE2B f26b5ce71aec624777e23bd76c65da938b47b24300d3a025b9541a3c1f3aedeb061b342e078f5103b6f4b5d1aa4a72b71764c13b65b842e9014d482aff758c99 SHA512 2d8c36debba52721febef07d18390e3ece6cd5f3a500304dfd285dc31ae33b3712934e0eca8cdb0afe644c18b505190d8a35cd5a69d11d0079f027fa35032195
EBUILD epson-inkjet-printer-escpr-1.7.8.ebuild 912 BLAKE2B 99b606a378b793d109254e2faa1fe6cf54bcf2f02b37c28d67fd0ca87028679e5be870af0d0ff6151013f8312acd440d5fe6392e2238dc8d72f5c650aee77d97 SHA512 7d3060e5274ca7f5c08ebe558222639394ff3f8a8f5a4a3a272bed46c4731e6f6f7a5ab520026bd95e45c7f4325db577a377b72fead10ab5218dfb49a67cdc9a
MISC metadata.xml 253 BLAKE2B 9f98272e44d92f62df07adebeb8942eb26113e29ae3021a9d1ef478a1bc2bdd26bd4700cc7d88dab9c5fd78d54958327997e9849c100ac00fbe051915ab3f2e0 SHA512 e8bc4d02500676e2506fbe7f0811be984878560deb05d09122cede2e62e633fb7644fa59b73a20da8f3fceea8f8cb928768726e8b679f32178c0aed9a874ea15

View File

@ -0,0 +1,35 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DESCRIPTION="Epson Inkjet Printer Driver (ESC/P-R)"
HOMEPAGE="https://download.ebz.epson.net/dsc/search/01/search/?OSC=LX"
SRC_URI="https://download3.ebz.epson.net/dsc/f/03/00/12/04/32/1a455ef8618def65700ca4e446311c2fb43cd839/epson-inkjet-printer-escpr-${PV}-1lsb3.2.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ~ppc64"
DEPEND="net-print/cups"
RDEPEND="${DEPEND}"
PATCHES=(
"${FILESDIR}/1.6.5-warnings.patch"
"${FILESDIR}/${PN}-1.7.7-fnocommon.patch"
)
src_configure() {
econf --disable-shared
# Makefile calls ls to generate a file list which is included in Makefile.am
# Set the collation to C to avoid automake being called automatically
unset LC_ALL
export LC_COLLATE=C
}
src_install() {
emake -C ppd DESTDIR="${D}" install
emake -C src DESTDIR="${D}" install
einstalldocs
}

View File

@ -0,0 +1,42 @@
--- a/lib/epson-escpr-api.h
+++ b/lib/epson-escpr-api.h
@@ -111,6 +111,9 @@
/*** -------------------------------------------------------------------------------*/
extern EPS_ERR_CODE epsMakeMainteCmd (EPS_INT32, EPS_UINT8*, EPS_UINT32* );
+extern EPS_ERR_CODE SetupJobAttrib (const EPS_JOB_ATTRIB* );
+extern EPS_ERR_CODE SendStartJob (EPS_BOOL );
+extern EPS_ERR_CODE PrintBand (const EPS_UINT8*, EPS_UINT32, EPS_UINT32* );
#ifdef __cplusplus
}
#endif
--- a/src/filter.c
+++ b/src/filter.c
@@ -33,7 +33,9 @@
#include "epson-protocol.h"
#include "epson-escpr-api.h"
+#include "epson-escpr-services.h"
#include "epson-escpr-mem.h"
+#include "epson-escpage.h"
#include "err.h"
#include "mem.h"
@@ -42,6 +44,7 @@
#include "libprtX.h"
#include "optBase.h"
#include "linux_cmn.h"
+#include "xfifo.h"
#define WIDTH_BYTES(bits) (((bits) + 31) / 32 * 4)
--- a/src/mem.c
+++ b/src/mem.c
@@ -23,6 +23,7 @@
#endif
#include <stdlib.h>
+#include "err.h"
#include "mem.h"
void *

View File

@ -0,0 +1,11 @@
--- a/src/filter.c 2020-05-23 13:50:19.064756474 +0200
+++ b/src/filter.c 2020-05-23 13:53:01.936647646 +0200
@@ -68,7 +68,7 @@
extern EPS_UINT8* tmpLineBuf;
extern EPS_CMN_FUNC epsCmnFnc;
-EPS_JOB_FUNCS jobFnc;
+extern EPS_JOB_FUNCS jobFnc;
extern EPS_INT32 tonerSave;
extern EPS_INT32 back_type;

View File

@ -0,0 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>asturm@gentoo.org</email>
<name>Andreas Sturmlechner</name>
</maintainer>
</pkgmetadata>

1
sys-apps/fwupd/.audit Normal file
View File

@ -0,0 +1 @@
FL-5300: hold the fwupd to version 1.0.6.

4
sys-apps/fwupd/Manifest Normal file
View File

@ -0,0 +1,4 @@
AUX fwupd-r2 296 BLAKE2B 468be25169ca913bd1a051cc66a0238510161a529738b10b74d5dea2837454ea0930208f215418d25c4e7c0b5f84d7d51e7039d6debad7b247d389fac53ec355 SHA512 6a1e546948064062129e349685d3915c0746bb682aec9c2e2db28b7361590d1a7a344550d756a8baff75073849caf07f5fcbfae8be04d825c5aa78cfe18bef5e
DIST fwupd-1.7.7-76821bc.tar.gz 4058027 BLAKE2B dc3586065c6b260f893fdaab7c0abadf9626efbc46a9380376722c0488bee56d0244ee1afa1cbf72fd9100d1275d2cc0c67c217072c069dc2946023880256f16 SHA512 8a710898d5f98ab61cedd78f0db0340b89685b490c69c6a1587a15e7850aa9e1395a46371206f66e471fd252f504da7830273485f7a1d7055a1516a4eb315778
EBUILD fwupd-1.7.7.ebuild 4654 BLAKE2B d30e72dee21a068341519cbcf734fb5469c96024494e29691c8e9850ff6a2755da3b1edf2b095e1b94a09cc03e2e6d93a4184cafaea0d50b82454589d10927d7 SHA512 d71f271a7f2acbf65e087873d9585475df6d66e1270fce70340836d0d8c3f3107cdd8d9f306ffcd89a33a28f73158667be9758c799538fa9add0532fc27b14f0
MISC autogen.yaml 312 BLAKE2B ad3afd8e8577e1e8d9c3af7ce2a85bed91cee7c3112d5ad9f586c88e795270ffe66390b580bf8b48adfcd3da30fb3d63a6df5e7aadf7942f3c5a1e026a005557 SHA512 f13839ac9cf9176202cfe6fc271cff4c00d9740405311545fbd92fc1b47f1e8bb20cf758fa91f7ee9a395c3fdf3cac16ee8339af5f466ddf71fd33fc840bcf03

View File

@ -0,0 +1,16 @@
fwupd_rule:
generator: github-1
defaults:
python_compat: python3+
packages:
- fwupd:
github:
user: fwupd
repo: fwupd
query: releases
select: '1.7.7'
- fwupd-efi:
github:
user: fwupd
repo: fwupd-efi
query: tags

View File

@ -0,0 +1,13 @@
#!/sbin/openrc-run
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
description="Firmware update daemon"
pidfile="/var/run/fwupd.pid"
command="/usr/libexec/fwupd/fwupd"
command_background="true"
depend() {
need elogind dbus
before xdm
}

View File

@ -0,0 +1,177 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3+ )
inherit bash-completion-r1 linux-info meson python-single-r1 vala xdg
DESCRIPTION="Aims to make updating firmware on Linux automatic, safe and reliable"
HOMEPAGE="https://fwupd.org"
SRC_URI="https://github.com/fwupd/fwupd/tarball/76821bcb78b7557d879f5d723d6faf27464459bb -> fwupd-1.7.7-76821bc.tar.gz"
LICENSE="LGPL-2.1+"
SLOT="0"
KEYWORDS="*"
IUSE="amt archive bash-completion bluetooth +dell +elogind fastboot flashrom gnutls gtk-doc gusb introspection logitech lzma +man minimal modemmanager nvme policykit spi +sqlite synaptics test thunderbolt tpm uefi"
REQUIRED_USE="${PYTHON_REQUIRED_USE}
^^ ( elogind minimal )
dell? ( uefi )
fastboot? ( gusb )
logitech? ( gusb )
minimal? ( !introspection )
spi? ( lzma )
synaptics? ( gnutls )
uefi? ( gnutls )
"
RESTRICT="!test? ( test )"
BDEPEND="$(vala_depend)
virtual/pkgconfig
gtk-doc? ( dev-util/gtk-doc )
bash-completion? ( >=app-shells/bash-completion-2.0 )
introspection? ( dev-libs/gobject-introspection )
man? (
app-text/docbook-sgml-utils
sys-apps/help2man
)
test? (
thunderbolt? ( dev-util/umockdev )
net-libs/gnutls[tools]
)
"
COMMON_DEPEND="${PYTHON_DEPS}
>=app-arch/gcab-1.0
app-arch/xz-utils
>=dev-libs/glib-2.58:2
dev-libs/json-glib
dev-libs/libgudev:=
>=dev-libs/libjcat-0.1.4[gpg,pkcs7]
>=dev-libs/libxmlb-0.1.13:=[introspection?]
$(python_gen_cond_dep '
dev-python/pygobject:3[cairo,${PYTHON_USEDEP}]
')
>=net-libs/libsoup-2.51.92:2.4[introspection?]
net-misc/curl
archive? ( app-arch/libarchive:= )
dell? ( >=sys-libs/libsmbios-2.4.0 )
elogind? ( >=sys-auth/elogind-211 )
flashrom? ( >=sys-apps/flashrom-1.2-r3 )
gnutls? ( net-libs/gnutls )
gusb? ( >=dev-libs/libgusb-0.3.5[introspection?] )
logitech? ( dev-libs/protobuf-c:= )
lzma? ( app-arch/xz-utils )
modemmanager? ( net-misc/modemmanager[qmi] )
policykit? ( >=sys-auth/polkit-0.103 )
sqlite? ( dev-db/sqlite )
tpm? ( app-crypt/tpm2-tss:= )
uefi? (
sys-apps/fwupd-efi
sys-boot/efibootmgr
sys-fs/udisks
sys-libs/efivar
)
"
# Block sci-chemistry/chemical-mime-data for bug #701900
RDEPEND="
!<sci-chemistry/chemical-mime-data-0.1.94-r4
${COMMON_DEPEND}
sys-apps/dbus
"
DEPEND="
${COMMON_DEPEND}
x11-libs/pango[introspection]
"
pkg_setup() {
python-single-r1_pkg_setup
if use nvme ; then
kernel_is -ge 4 4 || die "NVMe support requires kernel >= 4.4"
fi
}
post_src_unpack() {
if [ ! -d "${S}" ]; then
mv fwupd-fwupd* "${S}" || die
fi
}
src_prepare() {
default
# c.f. https://github.com/fwupd/fwupd/issues/1414
sed -e "/test('thunderbolt-self-test', e, env: test_env, timeout : 120)/d" \
-i plugins/thunderbolt/meson.build || die
sed -e '/platform-integrity/d' \
-i plugins/meson.build || die #753521
sed -e "/install_dir.*'doc'/s/fwupd/${PF}/" \
-i data/builder/meson.build || die
vala_src_prepare
}
src_configure() {
local plugins=(
-Dplugin_gpio="false"
$(meson_use amt plugin_amt)
$(meson_use dell plugin_dell)
$(meson_use fastboot plugin_fastboot)
$(meson_use flashrom plugin_flashrom)
$(meson_use gusb plugin_uf2)
$(meson_use logitech plugin_logitech_bulkcontroller)
$(meson_use modemmanager plugin_modem_manager)
$(meson_use nvme plugin_nvme)
$(meson_use sqlite)
$(meson_use spi plugin_intel_spi)
$(meson_use synaptics plugin_synaptics_mst)
$(meson_use synaptics plugin_synaptics_rmi)
$(meson_use thunderbolt plugin_thunderbolt)
$(meson_use tpm plugin_tpm)
$(meson_use uefi plugin_uefi_capsule)
$(meson_use uefi plugin_uefi_capsule_splash)
$(meson_use uefi plugin_uefi_pk)
)
use ppc64 && plugins+=( -Dplugin_msr="false" )
use riscv && plugins+=( -Dplugin_msr="false" )
local emesonargs=(
--localstatedir "${EPREFIX}"/var
-Dbuild="$(usex minimal standalone all)"
-Dconsolekit="false"
-Dsystemd="false"
-Dcurl="true"
-Ddocs="$(usex gtk-doc gtkdoc none)"
-Defi_binary="false"
-Dsupported_build="true"
$(meson_use archive libarchive)
$(meson_use bash-completion bash_completion)
$(meson_use bluetooth bluez)
$(meson_use elogind)
$(meson_use gnutls)
$(meson_use gusb)
$(meson_use lzma)
$(meson_use man)
$(meson_use introspection)
$(meson_use policykit polkit)
$(meson_use test tests)
${plugins[@]}
)
use uefi && emesonargs+=( -Defi_os_dir="funtoo" )
export CACHE_DIRECTORY="${T}"
meson_src_configure
}
src_install() {
meson_src_install
if ! use minimal ; then
newinitd "${FILESDIR}"/${PN}-r2 ${PN}
# Don't timeout when fwupd is running (#673140)
sed '/^IdleTimeout=/s@=[[:digit:]]\+@=0@' \
-i "${ED}"/etc/${PN}/daemon.conf || die
fi
}

View File

@ -0,0 +1,48 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( {{python_compat}} )
inherit meson python-any-r1 toolchain-funcs
DESCRIPTION="EFI executable for fwupd"
HOMEPAGE="https://fwupd.org"
SRC_URI="{{artifacts[0].src_uri}}"
LICENSE="LGPL-2.1+"
SLOT="0"
KEYWORDS="*"
IUSE=""
BDEPEND="
${PYTHON_DEPS}
virtual/pkgconfig
"
DEPEND="sys-boot/gnu-efi"
RDEPEND="!<sys-apps/fwupd-1.6.0"
post_src_unpack() {
if [ ! -d "${S}" ]; then
mv {{ github_user }}-{{ github_repo }}* "${S}" || die
fi
}
src_prepare() {
default
python_fix_shebang "${S}/efi"
}
src_configure() {
local emesonargs=(
-Defi-cc="$(tc-getCC)"
-Defi-ld="$(tc-getLD)"
-Defi_sbat_distro_id="funtoo"
-Defi_sbat_distro_summary="Funtoo GNU/Linux"
-Defi_sbat_distro_pkgname="${PN}"
-Defi_sbat_distro_version="${PVR}"
)
meson_src_configure
}

View File

@ -0,0 +1,177 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( {{python_compat}} )
inherit bash-completion-r1 linux-info meson python-single-r1 vala xdg
DESCRIPTION="Aims to make updating firmware on Linux automatic, safe and reliable"
HOMEPAGE="https://fwupd.org"
SRC_URI="{{artifacts[0].src_uri}}"
LICENSE="LGPL-2.1+"
SLOT="0"
KEYWORDS="*"
IUSE="amt archive bash-completion bluetooth +dell +elogind fastboot flashrom gnutls gtk-doc gusb introspection logitech lzma +man minimal modemmanager nvme policykit spi +sqlite synaptics test thunderbolt tpm uefi"
REQUIRED_USE="${PYTHON_REQUIRED_USE}
^^ ( elogind minimal )
dell? ( uefi )
fastboot? ( gusb )
logitech? ( gusb )
minimal? ( !introspection )
spi? ( lzma )
synaptics? ( gnutls )
uefi? ( gnutls )
"
RESTRICT="!test? ( test )"
BDEPEND="$(vala_depend)
virtual/pkgconfig
gtk-doc? ( dev-util/gtk-doc )
bash-completion? ( >=app-shells/bash-completion-2.0 )
introspection? ( dev-libs/gobject-introspection )
man? (
app-text/docbook-sgml-utils
sys-apps/help2man
)
test? (
thunderbolt? ( dev-util/umockdev )
net-libs/gnutls[tools]
)
"
COMMON_DEPEND="${PYTHON_DEPS}
>=app-arch/gcab-1.0
app-arch/xz-utils
>=dev-libs/glib-2.58:2
dev-libs/json-glib
dev-libs/libgudev:=
>=dev-libs/libjcat-0.1.4[gpg,pkcs7]
>=dev-libs/libxmlb-0.1.13:=[introspection?]
$(python_gen_cond_dep '
dev-python/pygobject:3[cairo,${PYTHON_USEDEP}]
')
>=net-libs/libsoup-2.51.92:2.4[introspection?]
net-misc/curl
archive? ( app-arch/libarchive:= )
dell? ( >=sys-libs/libsmbios-2.4.0 )
elogind? ( >=sys-auth/elogind-211 )
flashrom? ( >=sys-apps/flashrom-1.2-r3 )
gnutls? ( net-libs/gnutls )
gusb? ( >=dev-libs/libgusb-0.3.5[introspection?] )
logitech? ( dev-libs/protobuf-c:= )
lzma? ( app-arch/xz-utils )
modemmanager? ( net-misc/modemmanager[qmi] )
policykit? ( >=sys-auth/polkit-0.103 )
sqlite? ( dev-db/sqlite )
tpm? ( app-crypt/tpm2-tss:= )
uefi? (
sys-apps/fwupd-efi
sys-boot/efibootmgr
sys-fs/udisks
sys-libs/efivar
)
"
# Block sci-chemistry/chemical-mime-data for bug #701900
RDEPEND="
!<sci-chemistry/chemical-mime-data-0.1.94-r4
${COMMON_DEPEND}
sys-apps/dbus
"
DEPEND="
${COMMON_DEPEND}
x11-libs/pango[introspection]
"
pkg_setup() {
python-single-r1_pkg_setup
if use nvme ; then
kernel_is -ge 4 4 || die "NVMe support requires kernel >= 4.4"
fi
}
post_src_unpack() {
if [ ! -d "${S}" ]; then
mv {{ github_user }}-{{ github_repo }}* "${S}" || die
fi
}
src_prepare() {
default
# c.f. https://github.com/fwupd/fwupd/issues/1414
sed -e "/test('thunderbolt-self-test', e, env: test_env, timeout : 120)/d" \
-i plugins/thunderbolt/meson.build || die
sed -e '/platform-integrity/d' \
-i plugins/meson.build || die #753521
sed -e "/install_dir.*'doc'/s/fwupd/${PF}/" \
-i data/builder/meson.build || die
vala_src_prepare
}
src_configure() {
local plugins=(
-Dplugin_gpio="true"
$(meson_use amt plugin_amt)
$(meson_use dell plugin_dell)
$(meson_use fastboot plugin_fastboot)
$(meson_use flashrom plugin_flashrom)
$(meson_use gusb plugin_uf2)
$(meson_use logitech plugin_logitech_bulkcontroller)
$(meson_use modemmanager plugin_modem_manager)
$(meson_use nvme plugin_nvme)
$(meson_use sqlite)
$(meson_use spi plugin_intel_spi)
$(meson_use synaptics plugin_synaptics_mst)
$(meson_use synaptics plugin_synaptics_rmi)
$(meson_use thunderbolt plugin_thunderbolt)
$(meson_use tpm plugin_tpm)
$(meson_use uefi plugin_uefi_capsule)
$(meson_use uefi plugin_uefi_capsule_splash)
$(meson_use uefi plugin_uefi_pk)
)
use ppc64 && plugins+=( -Dplugin_msr="false" )
use riscv && plugins+=( -Dplugin_msr="false" )
local emesonargs=(
--localstatedir "${EPREFIX}"/var
-Dbuild="$(usex minimal standalone all)"
-Dconsolekit="false"
-Dsystemd="false"
-Dcurl="true"
-Ddocs="$(usex gtk-doc gtkdoc none)"
-Defi_binary="false"
-Dsupported_build="true"
$(meson_use archive libarchive)
$(meson_use bash-completion bash_completion)
$(meson_use bluetooth bluez)
$(meson_use elogind)
$(meson_use gnutls)
$(meson_use gusb)
$(meson_use lzma)
$(meson_use man)
$(meson_use introspection)
$(meson_use policykit polkit)
$(meson_use test tests)
${plugins[@]}
)
use uefi && emesonargs+=( -Defi_os_dir="funtoo" )
export CACHE_DIRECTORY="${T}"
meson_src_configure
}
src_install() {
meson_src_install
if ! use minimal ; then
newinitd "${FILESDIR}"/${PN}-r2 ${PN}
# Don't timeout when fwupd is running (#673140)
sed '/^IdleTimeout=/s@=[[:digit:]]\+@=0@' \
-i "${ED}"/etc/${PN}/daemon.conf || die
fi
}

View File

@ -0,0 +1 @@
DIST kitty-0.25.2.tar.xz 4681940 BLAKE2B 9aa43711c833541f364100465dfd1c13251ed59d5777634a5f193cc0544743295a772de85c64b4657e2cbca3d88f77019b0fe26b25c8b0908c1cc108b480ecf6 SHA512 ac858b525abbdeb137989a7971c51651d46bffedde048ed572bbb4c31119a4e0f9f424edbdbfd14fe2e043b4a7c8a1a1f8ee6591906e40a655d9f783b21f31a6

View File

@ -1,17 +0,0 @@
AUX kitty-0.11.0-svg-icon.patch 668 BLAKE2B 53fbe58492ebc9e78a9aab1f7ecd977c1daee9a097e34ebd0a98efefc2cf3625dc785e4c6e074f348cf24c9425734d3d521779d0c5fc5dd546f8322d35c3b11a SHA512 9b0aa40447d9ff137d45bdb3c2e4f5a8d9d68cdbc62c486a080107b02c6251d7075eaf212274c53f07977a370c8688cb3ace46828aac3b9467080d0334a05a21
AUX kitty-0.13.2-flags.patch 1622 BLAKE2B 003a236d3817d744012883d9fb4be5029d5b83351c56e6b257ac5acd9bdd791fc7dcc5ad428be5aa227ba3f36aae40b90e04bdd6efbafc7f424b0163aa8f3abb SHA512 d24adbce0c5deee7418998d43d384fa5fb3ecc24fcf9728337c99b01bedb529fec8fd327c5dd2e71fec4957ad802e738a02cdc061f8b0dd78cbcbeffdd9c126c
AUX kitty-0.14.2-flags.patch 1658 BLAKE2B debb36362a1130c2ec55d51814d6ca1fb93190e9a7f29a2450440a8c808a5604ed2000c43f317d56098f6af74e1076ae71f34523b8a762c93434d7ddb611599a SHA512 f8e46c2b699ed4a9495f1afcce6a932d89710b01f8ac35aef9cbf035ead3b7e2186ad67af5b09f156b08052bbe9e42fc5ffb87b5af5e9b36ca403bfa6b0d8e78
AUX kitty-9999-flags.patch 1636 BLAKE2B 02b608c0fe448344f9c682ca4da621fe10af0ffca378b9877192a94d909b560cfc5c34593ef5b162e9511c88edaee297074e529a7201161f625d714223c26d06 SHA512 6ad2014f214cccd0aa26b1cf47df24067f016be803b8b1b2be380328edc044c0a89f6ea0f2c2f8fa829ca6611a17030c2b753a235992fc192c39cb5f61d925a6
DIST kitty-0.13.3.tar.xz 2846220 BLAKE2B cb2da9e64696298471001f28bc5cc568a6ec21331153929fa86b8bc7262b5928430fc053f86b7ef669eafde676439f6ee644f14cd942e2f11fba7b7dadfcb294 SHA512 9ce803469057245f9e1c50b53e03d48d3f2483b01f9441be6eadbfea8edcba01652177cbff11d1dd2b35e9415db6822fd72a0494f00ee3be30f58c1f1991c37b
DIST kitty-0.14.2.tar.xz 2867116 BLAKE2B 20f3d66caa5242502f2699d4a5e8364eda357b00c72d50650ab0d03fbbb552152a2d4447e37ce20660d6d8f9ffc285aee057f6adf7a03ac57fa8ab6d1da61013 SHA512 191a37424c51776d271008c6b4b0cb43b60cd2abea3ea7b2a08cca9a8d44c4932ca11470f3efb8debc0e2ef3641bb68c05374401073b23cf81042af467b1dbf4
DIST kitty-0.18.1.tar.xz 3098940 BLAKE2B c54f9e7996e8e17182d5cdb3f915964b2626985992dc9f8bf2f11d086475fd7b13ee131aaf942f521cd6356ac13f7efdf436253237022532ffc68cb7923bc645 SHA512 d1870fa8c1c42c9a20251ba7819fb649760a98070653cff6bbc0ef86160d6b20070bbfe4e549b80d75d7a78b37cb3c1153e4be246709cf630129cd4d09a76604
DIST kitty-0.19.2.tar.xz 3259928 BLAKE2B c6060a098df53e53cfd56f680f0972ee2a116c0d9ae8eabd2f087540f5f181a5980e2d963d27f24df5c57f6e81327591531397341e33b3d9bb4a2420138aa473 SHA512 86b6a08c7f5282587967ff7e3509d6ac4ef556b3bbeae1a9529a584f804f204d54f5031a90dcd08af735eb16a283938fa9e49c8d767dca12e945b7493f0e76da
DIST kitty-0.20.1.tar.xz 3449932 BLAKE2B aed9a250fbc7005cd67fd22bfc33de845bea7e39a5561e6957b744f03a5438945f9739ca7066a93889144a5d0289185f337ef4d487c754cba37f242030f1c46a SHA512 19dfa66eb2a2115877b25fbff0ba7a81071bff00c732236f20342aeb619cca88ae4a4e8ce4e73908ac7d7d12fca5232a76e0167754f2e658af02e442cf5ba0cd
EBUILD kitty-0.13.3.ebuild 2061 BLAKE2B a60fb0f1798d2abe1dd4cae7eba8cec13ab092312a24120a3938c850265d8b3566e095aa5158bb6ccb841d658728ed980a43b6533f5491982aa03a745d7bdfa9 SHA512 931a21ba970fd1782538b9c83c7ab4e80a9ca262d48fcfe3cf3c412b071a60429a2104441809409da8144dcd080852355de912a296f8fd9e783fa5ce18a12d70
EBUILD kitty-0.14.2.ebuild 2078 BLAKE2B 22b6521d25754c5ab6aa0cfdc5c28ec2f923e52779ac2a1ed4209ee9c702927de2c7ea6444b97efbcf961dfbde9d6d861b33d823ea7e24ec7e769c0e9c24ead7 SHA512 5f367b960b0457b1e9601083f36abf539f97142cf8530415697e719898cecbbc9b25a544c742acd1a24c3f4fb4653565e220f51716c812ef52a498b2e56d825f
EBUILD kitty-0.18.1.ebuild 1995 BLAKE2B c0ce7865c86be0509f4501398e414ecb057a2cd50ee1d16a29eb332233c55fdc3db1165b300316069c0821282f6e2c80ad1eef57d0473c241fe79c9c745ee62f SHA512 8db74c32ef40cc424e5048964243972d0a690007516dc15d3dc2d39f56486e34e17efb9d1a87507405850ce0a99a2963c35f46853deaea38ae952e970618d175
EBUILD kitty-0.19.2.ebuild 1995 BLAKE2B c0ce7865c86be0509f4501398e414ecb057a2cd50ee1d16a29eb332233c55fdc3db1165b300316069c0821282f6e2c80ad1eef57d0473c241fe79c9c745ee62f SHA512 8db74c32ef40cc424e5048964243972d0a690007516dc15d3dc2d39f56486e34e17efb9d1a87507405850ce0a99a2963c35f46853deaea38ae952e970618d175
EBUILD kitty-0.20.1.ebuild 1999 BLAKE2B 31671f9b79693699750cec46948f67e2ef6c972095fa9b9883b723229ad14103e371c8503f67663225e5da7463e6837ecbcedb3a48ee3e4621f2ed72cbba5960 SHA512 dc25bfb18e39f6609072d155a233797a87eecc23298e28750171f179e45dd53d9400b4fe98784dcafedb6f5cd2555b9c39297072a64a6a15f6c26d3d209e9825
EBUILD kitty-9999.ebuild 2070 BLAKE2B 5f7e2a261edaa1c0988470cbdab32d13979c99ae88e8b6929f8f5880d4a3afc2e4a3d5357770331e83cba5aa2f973131d84a5987f2c275b79d0670355fc98289 SHA512 3777e8b57011f22aca8b7f7e150acdd96b25ddeaa6a641026aed21673ddd53ec434399eeeeec94cd21d276635727c1327dffc200cb4e4e483fdbe8f1af8af65b
MISC app.log 758 BLAKE2B 0f38dbeb5e1afb808c35cb3052ed0f61f45249ee909495687031a524c2b0b4be9f8a7cda9ac19bb7abd9a9e967c3993a52c0df7732fe5a507be7e68a6613b4b4 SHA512 b596048f8bb844f7f6789505be8b44102f51e5ecbb6521ef95631dab12997c308abe95a3b845ee91aaa723e25a78a21aea8c5b27fe2de9203b28f9bc6be793a5
MISC metadata.xml 428 BLAKE2B 961cd7fc3036c8f5a641cb97de57765c423f157430bf1fd68ce7febf24713ab1b15080e03f568d20f6360da467044ea4ed1d3ee7bfb132250951b4239df58980 SHA512 49ffa8dee6be29ab8adacbc0717dc574ad15f690fa1e0726b2a9de439f90867d3770e3628734d9a7457aa45896334d96f15a51e217ad248c766271aa62d85061

View File

@ -1,11 +0,0 @@
2020-08-07 10:53:53,568 [ DEBUG]: Program started with: ['/home/gerardo/Dev/gerardo/samsung_remote/samsung_remote.py', '-p']
2020-08-07 10:53:56,416 [ DEBUG]: [TV]UE40D8000 model UE40D8000 found in ip 192.168.1.142
2020-08-07 10:53:56,416 [ DEBUG]: Model: D returns method: legacy
2020-08-07 10:53:56,416 [ DEBUG]: Model: D returns method: legacy
2020-08-07 10:53:56,419 [ INFO]: Sending handshake.
2020-08-07 10:53:56,529 [ DEBUG]: Connected to 'iapp.samsung'.
2020-08-07 10:53:56,529 [ DEBUG]: Access granted.
2020-08-07 10:53:56,529 [ INFO]: Sending control command: KEY_POWEROFF
2020-08-07 10:53:56,543 [ DEBUG]: Control accepted.
2020-08-07 10:53:56,743 [ DEBUG]: Connection closed.
2020-08-07 10:53:56,843 [ INFO]: Turning off [TV]UE40D8000 succeed

View File

@ -1,16 +0,0 @@
Use SVG icon instead of PNG.
--- kitty-0.11.0/setup.py
+++ kitty-0.11.0/setup.py
@@ -605,9 +605,9 @@
if not is_macos: # {{{ linux desktop gunk
copy_man_pages(ddir)
copy_html_docs(ddir)
- icdir = os.path.join(ddir, 'share', 'icons', 'hicolor', '256x256', 'apps')
+ icdir = os.path.join(ddir, 'share', 'icons', 'hicolor', 'scalable', 'apps')
safe_makedirs(icdir)
- shutil.copy2('logo/kitty.png', icdir)
+ shutil.copy2('logo/kitty.svg', icdir)
deskdir = os.path.join(ddir, 'share', 'applications')
safe_makedirs(deskdir)
with open(os.path.join(deskdir, 'kitty.desktop'), 'w') as f:

View File

@ -1,47 +0,0 @@
--- kitty-0.13.2/setup.py
+++ kitty-0.13.2/setup.py
@@ -178,7 +178,7 @@
df = '-g3'
if ccver >= (5, 0):
df += ' -Og'
- optimize = df if debug or sanitize else '-O3'
+ optimize = ''
sanitize_args = get_sanitize_args(cc, ccver) if sanitize else set()
cppflags = os.environ.get(
'OVERRIDE_CPPFLAGS', (
@@ -191,7 +191,7 @@
cflags = os.environ.get(
'OVERRIDE_CFLAGS', (
'-Wextra -Wno-missing-field-initializers -Wall -std=c11'
- ' -pedantic-errors -Werror {} {} -fwrapv {} {} -pipe {} -fvisibility=hidden'
+ ' -pedantic-errors {} {} -fwrapv {} {} {} -fvisibility=hidden'
).format(
optimize,
' '.join(sanitize_args),
@@ -205,7 +205,7 @@
)
ldflags = os.environ.get(
'OVERRIDE_LDFLAGS',
- '-Wall ' + ' '.join(sanitize_args) + ('' if debug else ' -O3')
+ '-Wall ' + ' '.join(sanitize_args)
)
ldflags = shlex.split(ldflags)
ldflags.append('-shared')
@@ -517,14 +517,14 @@
def build_linux_launcher(args, launcher_dir='.', for_bundle=False, sh_launcher=False, for_freeze=False):
- cflags = '-Wall -Werror -fpie'.split()
+ cflags = '-Wall -fpie'.split()
cppflags = []
libs = []
if args.profile:
cppflags.append('-DWITH_PROFILER'), cflags.append('-g')
libs.append('-lprofiler')
- else:
- cflags.append('-O3')
+ #else:
+ # cflags.append('-O3')
if for_bundle or for_freeze:
cppflags.append('-DFOR_BUNDLE')
cppflags.append('-DPYVER="{}"'.format(sysconfig.get_python_version()))

View File

@ -1,49 +0,0 @@
Respect user CFLAGS.
--- kitty-0.14.2/setup.py
+++ kitty-0.14.2/setup.py
@@ -198,7 +198,7 @@
df = '-g3'
if ccver >= (5, 0):
df += ' -Og'
- optimize = df if debug or sanitize else '-O3'
+ optimize = ''
sanitize_args = get_sanitize_args(cc, ccver) if sanitize else set()
cppflags = os.environ.get(
'OVERRIDE_CPPFLAGS', (
@@ -213,7 +213,7 @@
cflags = os.environ.get(
'OVERRIDE_CFLAGS', (
'-Wextra -Wno-missing-field-initializers -Wall -Wstrict-prototypes -std=c11'
- ' -pedantic-errors -Werror {} {} -fwrapv {} {} -pipe {} -fvisibility=hidden'
+ ' -pedantic-errors {} {} -fwrapv {} {} {} -fvisibility=hidden'
).format(
optimize,
' '.join(sanitize_args),
@@ -227,7 +227,7 @@
)
ldflags = os.environ.get(
'OVERRIDE_LDFLAGS',
- '-Wall ' + ' '.join(sanitize_args) + ('' if debug else ' -O3')
+ '-Wall ' + ' '.join(sanitize_args)
)
ldflags = shlex.split(ldflags)
ldflags.append('-shared')
@@ -550,14 +550,14 @@
def build_launcher(args, launcher_dir='.', for_bundle=False, sh_launcher=False, for_freeze=False):
- cflags = '-Wall -Werror -fpie'.split()
+ cflags = '-Wall -fpie'.split()
cppflags = []
libs = []
if args.profile:
cppflags.append('-DWITH_PROFILER'), cflags.append('-g')
libs.append('-lprofiler')
- else:
- cflags.append('-O3')
+ #else:
+ # cflags.append('-O3')
if for_bundle or for_freeze:
cppflags.append('-DFOR_BUNDLE')
cppflags.append('-DPYVER="{}"'.format(sysconfig.get_python_version()))

View File

@ -1,47 +0,0 @@
--- kitty-0.13.2/setup.py
+++ kitty-0.13.2/setup.py
@@ -178,7 +178,7 @@
df = '-g3'
if ccver >= (5, 0):
df += ' -Og'
- optimize = df if debug or sanitize else '-O3'
+ optimize = ''
sanitize_args = get_sanitize_args(cc, ccver) if sanitize else set()
cppflags = os.environ.get(
'OVERRIDE_CPPFLAGS', (
@@ -191,7 +191,7 @@
cflags = os.environ.get(
'OVERRIDE_CFLAGS', (
'-Wextra -Wno-missing-field-initializers -Wall -Wstrict-prototypes -std=c11'
- ' -pedantic-errors -Werror {} {} -fwrapv {} {} -pipe {} -fvisibility=hidden'
+ ' -pedantic-errors {} {} -fwrapv {} {} {} -fvisibility=hidden'
).format(
optimize,
' '.join(sanitize_args),
@@ -205,7 +205,7 @@
)
ldflags = os.environ.get(
'OVERRIDE_LDFLAGS',
- '-Wall ' + ' '.join(sanitize_args) + ('' if debug else ' -O3')
+ '-Wall ' + ' '.join(sanitize_args)
)
ldflags = shlex.split(ldflags)
ldflags.append('-shared')
@@ -517,14 +517,14 @@
def build_launcher(args, launcher_dir='.', for_bundle=False, sh_launcher=False, for_freeze=False):
- cflags = '-Wall -Werror -fpie'.split()
+ cflags = '-Wall -fpie'.split()
cppflags = []
libs = []
if args.profile:
cppflags.append('-DWITH_PROFILER'), cflags.append('-g')
libs.append('-lprofiler')
- else:
- cflags.append('-O3')
+ #else:
+ # cflags.append('-O3')
if for_bundle or for_freeze:
cppflags.append('-DFOR_BUNDLE')
cppflags.append('-DPYVER="{}"'.format(sysconfig.get_python_version()))

View File

@ -1,106 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python3_{6,7} )
inherit python-single-r1 toolchain-funcs gnome2-utils
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="https://github.com/kovidgoyal/kitty.git"
inherit git-r3
else
SRC_URI="https://github.com/kovidgoyal/kitty/releases/download/v${PV}/${P}.tar.xz"
KEYWORDS="~amd64 ~x86"
fi
DESCRIPTION="A modern, hackable, featureful, OpenGL-based terminal emulator"
HOMEPAGE="https://github.com/kovidgoyal/kitty"
LICENSE="GPL-3"
SLOT="0"
IUSE="debug doc imagemagick wayland"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
COMMON_DEPS="
${PYTHON_DEPS}
>=media-libs/harfbuzz-1.5.0:=
sys-apps/dbus
sys-libs/zlib
media-libs/libpng:0=
media-libs/freetype:2
media-libs/fontconfig
x11-libs/libXcursor
x11-libs/libXrandr
x11-libs/libXi
x11-libs/libXinerama
x11-libs/libxkbcommon[X]
x11-libs/libxcb[xkb]
wayland? (
dev-libs/wayland
>=dev-libs/wayland-protocols-1.17
)
"
RDEPEND="
${COMMON_DEPS}
imagemagick? ( virtual/imagemagick-tools )
"
DEPEND="${RDEPEND}
sys-libs/ncurses
virtual/pkgconfig
"
[[ ${PV} == *9999 ]] && DEPEND+=" >=dev-python/sphinx-1.7[${PYTHON_USEDEP}]"
PATCHES=(
"${FILESDIR}"/${PN}-0.13.2-flags.patch
"${FILESDIR}"/${PN}-0.11.0-svg-icon.patch
)
src_prepare() {
default
# disable wayland as required
if ! use wayland; then
sed -i "/'x11 wayland'/s/ wayland//" setup.py || die
fi
# respect doc dir
sed -i "/htmldir =/s/appname/'${PF}'/" setup.py
tc-export CC
}
doecho() {
echo "$@"
"$@" || die
}
src_compile() {
doecho "${EPYTHON}" setup.py \
--verbose $(usex debug --debug "") \
--libdir-name $(get_libdir) \
linux-package
}
src_test() {
export KITTY_CONFIG_DIRECTORY=${T}
"${EPYTHON}" test.py || die
}
src_install() {
mkdir -p "${ED}"usr || die
cp -r linux-package/* "${ED}usr" || die
python_fix_shebang "${ED}"
if ! use doc; then
rm -r "${ED}"/usr/share/doc || die
fi
}
pkg_postinst() {
gnome2_icon_cache_update
}
pkg_postrm() {
gnome2_icon_cache_update
}

View File

@ -1,107 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python3_{6,7} )
inherit python-single-r1 toolchain-funcs gnome2-utils
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="https://github.com/kovidgoyal/kitty.git"
inherit git-r3
else
SRC_URI="https://github.com/kovidgoyal/kitty/releases/download/v${PV}/${P}.tar.xz"
KEYWORDS="~amd64 ~x86"
fi
DESCRIPTION="A modern, hackable, featureful, OpenGL-based terminal emulator"
HOMEPAGE="https://github.com/kovidgoyal/kitty"
LICENSE="GPL-3"
SLOT="0"
IUSE="debug doc imagemagick wayland"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
COMMON_DEPS="
${PYTHON_DEPS}
>=media-libs/harfbuzz-1.5.0:=
sys-apps/dbus
sys-libs/zlib
media-libs/libpng:0=
media-libs/freetype:2
media-libs/fontconfig
x11-libs/libXcursor
x11-libs/libXrandr
x11-libs/libXi
x11-libs/libXinerama
x11-libs/libxkbcommon[X]
x11-libs/libxcb[xkb]
wayland? (
dev-libs/wayland
>=dev-libs/wayland-protocols-1.17
)
"
RDEPEND="
${COMMON_DEPS}
imagemagick? ( virtual/imagemagick-tools )
"
DEPEND="${RDEPEND}
media-libs/mesa
sys-libs/ncurses
virtual/pkgconfig
"
[[ ${PV} == *9999 ]] && DEPEND+=" >=dev-python/sphinx-1.7[${PYTHON_USEDEP}]"
PATCHES=(
"${FILESDIR}"/${PN}-0.14.2-flags.patch
"${FILESDIR}"/${PN}-0.11.0-svg-icon.patch
)
src_prepare() {
default
# disable wayland as required
if ! use wayland; then
sed -i "/'x11 wayland'/s/ wayland//" setup.py || die
fi
# respect doc dir
sed -i "/htmldir =/s/appname/'${PF}'/" setup.py
tc-export CC
}
doecho() {
echo "$@"
"$@" || die
}
src_compile() {
doecho "${EPYTHON}" setup.py \
--verbose $(usex debug --debug "") \
--libdir-name $(get_libdir) \
linux-package
}
src_test() {
export KITTY_CONFIG_DIRECTORY=${T}
"${EPYTHON}" test.py || die
}
src_install() {
mkdir -p "${ED}"usr || die
cp -r linux-package/* "${ED}usr" || die
python_fix_shebang "${ED}"
if ! use doc; then
rm -r "${ED}"/usr/share/doc || die
fi
}
pkg_postinst() {
gnome2_icon_cache_update
}
pkg_postrm() {
gnome2_icon_cache_update
}

View File

@ -1,105 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python3_{6,7} )
inherit python-single-r1 toolchain-funcs gnome2-utils
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="https://github.com/kovidgoyal/kitty.git"
inherit git-r3
else
SRC_URI="https://github.com/kovidgoyal/kitty/releases/download/v${PV}/${P}.tar.xz"
KEYWORDS="~amd64 ~x86"
fi
DESCRIPTION="A modern, hackable, featureful, OpenGL-based terminal emulator"
HOMEPAGE="https://github.com/kovidgoyal/kitty"
LICENSE="GPL-3"
SLOT="0"
IUSE="debug doc imagemagick wayland"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
COMMON_DEPS="
${PYTHON_DEPS}
>=media-libs/harfbuzz-1.5.0:=
sys-apps/dbus
sys-libs/zlib
media-libs/libpng:0=
media-libs/freetype:2
media-libs/fontconfig
x11-libs/libXcursor
x11-libs/libXrandr
x11-libs/libXi
x11-libs/libXinerama
x11-libs/libxkbcommon[X]
x11-libs/libxcb[xkb]
wayland? (
dev-libs/wayland
>=dev-libs/wayland-protocols-1.17
)
"
RDEPEND="
${COMMON_DEPS}
imagemagick? ( virtual/imagemagick-tools )
"
DEPEND="${RDEPEND}
media-libs/mesa
sys-libs/ncurses
virtual/pkgconfig
"
[[ ${PV} == *9999 ]] && DEPEND+=" >=dev-python/sphinx-1.7[${PYTHON_USEDEP}]"
PATCHES=(
)
src_prepare() {
default
# disable wayland as required
if ! use wayland; then
sed -i "/'x11 wayland'/s/ wayland//" setup.py || die
fi
# respect doc dir
sed -i "/htmldir =/s/appname/'${PF}'/" setup.py
tc-export CC
}
doecho() {
echo "$@"
"$@" || die
}
src_compile() {
doecho "${EPYTHON}" setup.py \
--verbose $(usex debug --debug "") \
--libdir-name $(get_libdir) \
linux-package
}
src_test() {
export KITTY_CONFIG_DIRECTORY=${T}
"${EPYTHON}" test.py || die
}
src_install() {
mkdir -p "${ED}"usr || die
cp -r linux-package/* "${ED}usr" || die
python_fix_shebang "${ED}"
if ! use doc; then
rm -r "${ED}"/usr/share/doc || die
fi
}
pkg_postinst() {
gnome2_icon_cache_update
}
pkg_postrm() {
gnome2_icon_cache_update
}

View File

@ -1,105 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python3_{6,7} )
inherit python-single-r1 toolchain-funcs gnome2-utils
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="https://github.com/kovidgoyal/kitty.git"
inherit git-r3
else
SRC_URI="https://github.com/kovidgoyal/kitty/releases/download/v${PV}/${P}.tar.xz"
KEYWORDS="~amd64 ~x86"
fi
DESCRIPTION="A modern, hackable, featureful, OpenGL-based terminal emulator"
HOMEPAGE="https://github.com/kovidgoyal/kitty"
LICENSE="GPL-3"
SLOT="0"
IUSE="debug doc imagemagick wayland"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
COMMON_DEPS="
${PYTHON_DEPS}
>=media-libs/harfbuzz-1.5.0:=
sys-apps/dbus
sys-libs/zlib
media-libs/libpng:0=
media-libs/freetype:2
media-libs/fontconfig
x11-libs/libXcursor
x11-libs/libXrandr
x11-libs/libXi
x11-libs/libXinerama
x11-libs/libxkbcommon[X]
x11-libs/libxcb[xkb]
wayland? (
dev-libs/wayland
>=dev-libs/wayland-protocols-1.17
)
"
RDEPEND="
${COMMON_DEPS}
imagemagick? ( virtual/imagemagick-tools )
"
DEPEND="${RDEPEND}
media-libs/mesa
sys-libs/ncurses
virtual/pkgconfig
"
[[ ${PV} == *9999 ]] && DEPEND+=" >=dev-python/sphinx-1.7[${PYTHON_USEDEP}]"
PATCHES=(
)
src_prepare() {
default
# disable wayland as required
if ! use wayland; then
sed -i "/'x11 wayland'/s/ wayland//" setup.py || die
fi
# respect doc dir
sed -i "/htmldir =/s/appname/'${PF}'/" setup.py
tc-export CC
}
doecho() {
echo "$@"
"$@" || die
}
src_compile() {
doecho "${EPYTHON}" setup.py \
--verbose $(usex debug --debug "") \
--libdir-name $(get_libdir) \
linux-package
}
src_test() {
export KITTY_CONFIG_DIRECTORY=${T}
"${EPYTHON}" test.py || die
}
src_install() {
mkdir -p "${ED}"usr || die
cp -r linux-package/* "${ED}usr" || die
python_fix_shebang "${ED}"
if ! use doc; then
rm -r "${ED}"/usr/share/doc || die
fi
}
pkg_postinst() {
gnome2_icon_cache_update
}
pkg_postrm() {
gnome2_icon_cache_update
}

View File

@ -1,105 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python3_{6,7,8,9} )
inherit python-single-r1 toolchain-funcs gnome2-utils
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="https://github.com/kovidgoyal/kitty.git"
inherit git-r3
else
SRC_URI="https://github.com/kovidgoyal/kitty/releases/download/v${PV}/${P}.tar.xz"
KEYWORDS="~amd64 ~x86"
fi
DESCRIPTION="A modern, hackable, featureful, OpenGL-based terminal emulator"
HOMEPAGE="https://github.com/kovidgoyal/kitty"
LICENSE="GPL-3"
SLOT="0"
IUSE="debug doc imagemagick wayland"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
COMMON_DEPS="
${PYTHON_DEPS}
>=media-libs/harfbuzz-1.5.0:=
sys-apps/dbus
sys-libs/zlib
media-libs/libpng:0=
media-libs/freetype:2
media-libs/fontconfig
x11-libs/libXcursor
x11-libs/libXrandr
x11-libs/libXi
x11-libs/libXinerama
x11-libs/libxkbcommon[X]
x11-libs/libxcb[xkb]
wayland? (
dev-libs/wayland
>=dev-libs/wayland-protocols-1.17
)
"
RDEPEND="
${COMMON_DEPS}
imagemagick? ( virtual/imagemagick-tools )
"
DEPEND="${RDEPEND}
media-libs/mesa
sys-libs/ncurses
virtual/pkgconfig
"
[[ ${PV} == *9999 ]] && DEPEND+=" >=dev-python/sphinx-1.7[${PYTHON_USEDEP}]"
PATCHES=(
)
src_prepare() {
default
# disable wayland as required
if ! use wayland; then
sed -i "/'x11 wayland'/s/ wayland//" setup.py || die
fi
# respect doc dir
sed -i "/htmldir =/s/appname/'${PF}'/" setup.py
tc-export CC
}
doecho() {
echo "$@"
"$@" || die
}
src_compile() {
doecho "${EPYTHON}" setup.py \
--verbose $(usex debug --debug "") \
--libdir-name $(get_libdir) \
linux-package
}
src_test() {
export KITTY_CONFIG_DIRECTORY=${T}
"${EPYTHON}" test.py || die
}
src_install() {
mkdir -p "${ED}"usr || die
cp -r linux-package/* "${ED}usr" || die
python_fix_shebang "${ED}"
if ! use doc; then
rm -r "${ED}"/usr/share/doc || die
fi
}
pkg_postinst() {
gnome2_icon_cache_update
}
pkg_postrm() {
gnome2_icon_cache_update
}

View File

@ -1,107 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python3_{6,7} )
inherit python-single-r1 toolchain-funcs gnome2-utils
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="https://github.com/kovidgoyal/kitty.git"
inherit git-r3
else
SRC_URI="https://github.com/kovidgoyal/kitty/releases/download/v${PV}/${P}.tar.xz"
KEYWORDS="~amd64 ~x86"
fi
DESCRIPTION="A modern, hackable, featureful, OpenGL-based terminal emulator"
HOMEPAGE="https://github.com/kovidgoyal/kitty"
LICENSE="GPL-3"
SLOT="0"
IUSE="debug doc imagemagick wayland"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
COMMON_DEPS="
${PYTHON_DEPS}
>=media-libs/harfbuzz-1.5.0:=
sys-apps/dbus
sys-libs/zlib
media-libs/libpng:0=
media-libs/freetype:2
media-libs/fontconfig
x11-libs/libXcursor
x11-libs/libXrandr
x11-libs/libXi
x11-libs/libXinerama
x11-libs/libxkbcommon[X]
x11-libs/libxcb[xkb]
wayland? (
dev-libs/wayland
>=dev-libs/wayland-protocols-1.17
)
"
RDEPEND="
${COMMON_DEPS}
imagemagick? ( virtual/imagemagick-tools )
"
DEPEND="${RDEPEND}
media-libs/mesa
sys-libs/ncurses
virtual/pkgconfig
"
[[ ${PV} == *9999 ]] && DEPEND+=" >=dev-python/sphinx-1.7[${PYTHON_USEDEP}]"
PATCHES=(
"${FILESDIR}"/${P}-flags.patch
"${FILESDIR}"/${PN}-0.11.0-svg-icon.patch
)
src_prepare() {
default
# disable wayland as required
if ! use wayland; then
sed -i "/'x11 wayland'/s/ wayland//" setup.py || die
fi
# respect doc dir
sed -i "/htmldir =/s/appname/'${PF}'/" setup.py
tc-export CC
}
doecho() {
echo "$@"
"$@" || die
}
src_compile() {
doecho "${EPYTHON}" setup.py \
--verbose $(usex debug --debug "") \
--libdir-name $(get_libdir) \
linux-package
}
src_test() {
export KITTY_CONFIG_DIRECTORY=${T}
"${EPYTHON}" test.py || die
}
src_install() {
mkdir -p "${ED}"usr || die
cp -r linux-package/* "${ED}usr" || die
python_fix_shebang "${ED}"
if ! use doc; then
rm -r "${ED}"/usr/share/doc || die
fi
}
pkg_postinst() {
gnome2_icon_cache_update
}
pkg_postrm() {
gnome2_icon_cache_update
}

View File

@ -1,14 +0,0 @@
<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>radhermit@gentoo.org</email>
<name>Tim Harder</name>
</maintainer>
<use>
<flag name="imagemagick">Support displaying images in the terminal with icat</flag>
</use>
<upstream>
<remote-id type="github">kovidgoyal/kitty</remote-id>
</upstream>
</pkgmetadata>